# Note that this is NOT a relocatable package
%define	name		esound
%define ver		0.2.22
%define rel		1
%define prefix		/usr
%define sysconfdir	/etc


Summary: Allows several audio streams to play on a single audio device.
Name: %{name}
Version: %{ver}
Release: %{rel}
Copyright: GPL
Group: System Environment/Daemons
Source0: ftp://ftp.gnome.org/pub/GNOME/stable/sources/esound/%{name}-%{ver}.tar.gz
URL: http://www.tux.org/~ricdude/EsounD.html
Serial: 2000121201
Distribution: TurboLinux
BuildRoot: /var/tmp/%{name}-%{ver}-root
#NoSource: 0


%description
EsounD, the Enlightened Sound Daemon, is a server process that mixes
several audio streams for playback by a single audio device. For
example, if you're listening to music on a CD and you receive a
sound-related event from ICQ, the two applications won't have to
jockey for the use of your sound card.

Install esound if you'd like to let sound applications share your
audio device. You'll also need to install the audiofile package.

%package devel
Summary: Development files for EsounD applications.
Group: Development/Libraries
Requires: %{name}
Requires: audiofile-devel

%description devel
The esound-devel Libraries, include files and other resources you can
use to develop EsounD applications.

Install esound-devel if you want to develop EsounD applications.

%changelog
* Tue Dec 12 2000 Masaru Yokoi <masaru@turbolinux.co.jp>
- Updated to 0.2.22.

* Tue Oct 10 2000 Masaru Yokoi <masaru@turbolinux.co.jp>
- Updated to 0.2.20.

* Fri Jul 21 2000 Masaru Yokoi <masaru@turbolinux.co.jp>
- Updated to 0.2.19.

* Fri Jul 21 2000 Masaru Yokoi <masaru@turbolinux.co.jp>
- Modified SPEC file for TurboLinux.

* Thu Apr  6 2000 Takeshi Aihana <aihana@turbolinux.co.jp>
- Updated to 0.2.18

*Mon Jan 31 2000 Takeshi Aihana <aihana@turbolinux.co.jp>
- Rebuild for TurboLinux Workstation 6.0J

* Fri Nov 12 1999 Go taniguchi <taniguchi@arcbrain.co.jp>
- update 0.2.16

* Thu Oct 21 1999 Go taniguchi <taniguchi@arcbrain.co.jp>
- Rebuild for TurboLinuxJ

* Mon Aug 30 1999 Elliot Lee <sopwith@redhat.com> 0.2.13-1
- Update to 0.2.13
- Merge in changes from RHL 6.0 spec file.

* Sat Nov 21 1998 Pablo Saratxaga <srtxg@chanae.alphanet.ch>

- added %{_prefix}/share/aclocal/* to %files devel
- added spanish and french translations for rpm

* Thu Oct 1 1998 Ricdude <ericmit@ix.netcom.com>

- make autoconf do the version updating for us.

* Wed May 13 1998 Michael Fulbright <msf@redhat.com>

- First try at an RPM

%prep
%setup -q


%build
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{prefix} --sysconfdir=%{sysconfdir} --disable-alsa
make


%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{prefix} sysconfdir=$RPM_BUILD_ROOT%{sysconfdir} install

strip $RPM_BUILD_ROOT%{prefix}/bin/* ||:
strip $RPM_BUILD_ROOT%{prefix}/lib/*.so.* ||:

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog docs/esound.sgml docs/html docs/esound.ps
%doc INSTALL NEWS README TIPS TODO
%config %{sysconfdir}/*
%{prefix}/bin/esd
%{prefix}/bin/esdcat
%{prefix}/bin/esdctl
%{prefix}/bin/esddsp
%{prefix}/bin/esdfilt
%{prefix}/bin/esdloop
%{prefix}/bin/esdmon
%{prefix}/bin/esdplay
%{prefix}/bin/esdrec
%{prefix}/bin/esdsample
%{prefix}/lib/lib*.so.*

%files devel
%defattr(-, root, root)
%{prefix}/bin/esd-config
%{prefix}/lib/*a
%{prefix}/include/*
%{prefix}/share/aclocal/*
%{prefix}/lib/lib*.so


