%define name      gdbm
%define ver       1.8.0
%define rel       2
%define _prefix    /usr

Summary: A GNU set of database routines which use extensible hashing.
Name: %{name}
Version: %{ver}
Release: %{rel}
Source: ftp://ftp.gnu.org/pub/gnu/%{name}/%{name}-%{ver}.tar.gz
Patch: gdbm-1.8.0-rpm.patch
Copyright: GPL
Group: System Environment/Libraries
Prefix: %{_prefix}
Buildroot: /var/tmp/%{name}-root
PreReq: /sbin/ldconfig
#NoSource: 0

%description
Gdbm is a GNU database indexing library, including routines
which use extensible hashing.  Gdbm works in a similar way to standard UNIX
dbm routines.  Gdbm is useful for developers who write C applications and
need access to a simple and efficient database or who are building C
applications which will use such a database.

If you're a C developer and your programs need access to simple database
routines, you should install gdbm.  You'll also need to install gdbm-devel.

%package devel
Summary: Development libraries and header files for the gdbm library.
Group: Development/Libraries
Requires: gdbm
Prereq: /sbin/install-info

%description devel
Gdbm-devel contains the development libraries and header files
for gdbm, the GNU database system.  These libraries and header files are
necessary if you plan to do development using the gdbm database.

Install gdbm-devel if you are developing C programs which will use the
gdbm database library.  You'll also need to install the gdbm package.

%prep
%setup -q
%patch -p1 -b .rpm

%build
%configure
make includedir=%{_prefix}/include/gdbm

%install
rm -rf $RPM_BUILD_ROOT

# XXX --includedir dinna work
%makeinstall install-compat \
	includedir=${RPM_BUILD_ROOT}%{_prefix}/include/gdbm \
	man3dir=$RPM_BUILD_ROOT%{_mandir}/man3

( cd $RPM_BUILD_ROOT
  ln -sf gdbm/gdbm.h .%{_prefix}/include/gdbm.h
  ln -sf libgdbm.so.2.0.0 .%{_prefix}/lib/libgdbm.so
  gzip -9nf .%{_infodir}/gdbm*info*
)

%post -p /sbin/ldconfig

%post devel
/sbin/install-info %{_infodir}/gdbm.info.gz %{_infodir}/dir --entry="* gdbm: (gdbm).                   The GNU Database."

%postun -p /sbin/ldconfig

%preun devel
if [ $1 = 0 ]; then
   /sbin/install-info --delete %{_infodir}/gdbm.info.gz %{_infodir}/dir --entry="* gdbm: (gdbm).                   The GNU Database."
fi

%files
%defattr(-,root,root)
%{_prefix}/lib/libgdbm.so.2*

%files devel
%defattr(-,root,root)
%{_prefix}/lib/libgdbm.so
%{_prefix}/lib/libgdbm.la
%{_prefix}/lib/libgdbm.a
%{_prefix}/include/*
%{_infodir}/*.info*
%{_mandir}/man3/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Sep  9 2000 SL Baur  <steve@turbolinux.co.jp>
- fix up mandir and infodir

* Thu Jul 22 1999 Anh Vo <anhvo@turbolinux.com>
- Modified build section in using configure
- Built for TL

* Tue Jun  1 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.8.0.
- repackage to include /usr/include/gdbm/*dbm.h compatibility includes.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 19)

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- build against glibc 2.1

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- gdbm-devel moved to Development/Libraries

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- buildroot and built for Manhattan

* Tue Oct 14 1997 Donnie Barnes <djb@redhat.com>
- spec file cleanups

* Thu Jun 12 1997 Erik Troan <ewt@redhat.com>
- built against glibc
