%define name     	gdk-pixbuf
%define ver      	0.8.0
%define rel      	1
%define prefix   	/usr
%define	sysconfdir	/etc


Summary: The GdkPixBuf image handling library
Summary(ja): GdkPixBuf᡼饤֥
Name: %{name}
Version: %{ver}
Release: %{rel}
Group: Development/Libraries
Copyright: GPL, LGPL
Source: ftp://ftp.gnome.org/pub/GNOME/unstable/sources/%{name}/%{name}-%{ver}.tar.gz
URL: http://www.gnome.org/
Serial: 2000052401
BuildRoot: /var/tmp/%{name}-%{ver}-root
Requires: gtk+ >= 1.2
Buildrequires: gtk+ >= 1.2
PreReq: ldconfig, bash
#NoSource: 0


%description
The GdkPixBuf library provides a number of features, including :

- Reference counting for libart's ArtPixBuf structure.
- Image loading facilities.
- Rendering of a GdkPixBuf into various formats:
  drawables (windows, pixmaps), GdkRGB buffers.
- Fast scaling and compositing of pixbufs.
- Simple animation loading (ie. animated gifs)

In addition, this module also provides a little libgnomecanvaspixbuf
library, which contains a GNOME Canvas item to display pixbufs with
full affine transformations.

%description -l ja
GdkPixBuf饤֥ϡʲΤ褦ʵǽ󶡤ޤ

- libartArtPixBuf¤Τλȥ󥿵ǽ
- ᡼ɵǽ
- GdkPixBufˤ͡ʥեޥåȤΥ
  ΰ(ɥԥåޥå)GdkRGBХåե
- pixbufι®󥰤ȹ
- ñʥ˥᡼ǥ(㤨С˥᡼GIF)

%package devel
Summary: Libraries and include files for developing GdkPixBuf applications.
Summary(ja): GdkPixBufץꥱȯѤΥ饤֥ȥإåե
Group: Development/Libraries
Requires: %{name} = %{ver}

%description devel
Libraries and include files for developing GdkPixBuf applications.

%description devel -l ja
GdkPixBufץꥱȯѤΥ饤֥ȥإåե


%changelog
* Wed May 24 2000 Takeshi Aihana <aihana@turbolinux.co.jp>
- Upto 0.8.0

* Tue May 16 2000 Takeshi Aihana <aihana@turbolinux.co.jp>
- modified to be include shared libraries

* Tue May  9 2000 Takeshi Aihana <aihana@turbolinux.co.jp>
- Updated to 0.7.0

* Mon Feb 28 2000 Takeshi Aihana <aihana@turbolinux.co.jp>
- upto Ver0.6.0 for TurboLinux Workstation 6.0J

* Wed Feb 02 2000 Takeshi Aihana <aihana@turbolinux.co.jp>
- Rebuild for TurboLinux Workstation 6.0J

* Sun Jan 30 2000 Toru Hoshina <t@kondara.org>
- stripped. (*^_^*)

* Sat Jan 22 2000 Ross Golder <rossigee@bigfoot.com>

- Borrowed from gnome-libs to integrate into gdk-pixbuf source tree

#--------------------------------------------------
%prep
rm -rf $RPM_BUILD_ROOT


%setup -q -n %{name}-%{ver}


%build
%ifarch alpha
 if [ ! -f configure ] ; then
   CFLAGS="$RPM_OPT_FLAGS" \
   ./autogen.sh --host=alpha-redhat-linux \
                --prefix=%{prefix}        \
                --localstatedir=/var/lib  \
                --sysconfdir=%{sysconfdir}
 else
   CFLAGS="$RPM_OPT_FLAGS" \
   ./configure  --host=alpha-redhat-linux \
                --prefix=%{prefix}        \
                --localstatedir=/var/lib  \
                --sysconfdir=%{sysconfdir}
 fi
%else
 if [ ! -f configure ] ; then
   CFLAGS="$RPM_OPT_FLAGS" \
   ./autogen.sh --prefix=%{prefix}        \
                --localstatedir=/var/lib  \
                --sysconfdir=%{sysconfdir}
 else
   CFLAGS="$RPM_OPT_FLAGS" \
   ./configure  --prefix=%{prefix}        \
                --localstatedir=/var/lib  \
                --sysconfdir=%{sysconfdir}
 fi
%endif
if [ "$SMP" != "" ]; then
  make -j$SMP "MAKE=make -j$SMP"
else
  make
fi


%install
rm -rf $RPM_BUILD_ROOT
make sysconfdir=$RPM_BUILD_ROOT/%{sysconfdir} prefix=$RPM_BUILD_ROOT%{prefix} install


%clean
rm -rf $RPM_BUILD_ROOT


%post 
if ! grep %{prefix}/lib /etc/ld.so.conf > /dev/null ; then
  echo "%{prefix}/lib" >> /etc/ld.so.conf
fi
/sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog NEWS README TODO
%doc doc/*.txt html
%{prefix}/bin/*
%{prefix}/lib/lib*.so.*
%{prefix}/lib/%{name}/loaders/lib*.*

%files devel
%defattr(-, root, root)
%{prefix}/lib/lib*.so
%{prefix}/lib/%{name}/loaders/lib*.a
%{prefix}/lib/*.a
%{prefix}/lib/*.sh
%{prefix}/include/*
%{prefix}/share/aclocal/*
%{prefix}/share/gnome/html/*
