# Note that this is NOT a relocatable package
%define ver      1.1.18
%define rel      1
%define prefix   /usr

Summary: The GNU Image Manipulation Program.
Summary(ja): GNU ᡼ץ
Name: gimp
Version: %ver
Release: %rel
Serial: 2000032101
Vendor: TurboLinux Japan
Copyright: GPL
Group: Applications/Multimedia
URL: http://www.gimp.org/
Source: ftp://ftp.gimp.org/pub/gimp/unstable/v1.1.16/gimp-%{ver}.tar.bz2
Patch0: gimp-1.1.15-scripts.patch
Patch1: gimp-1.1.16-gdyntext.patch
BuildRoot: /var/tmp/gimp-root
Obsoletes: gimp-data-min
Requires: gtk+ >= 1.1.0

%description
The GIMP is an image manipulation program suitable for photo retouching,
image composition and image authoring.  Many people find it extremely useful
in creating logos and other graphics for web pages.  The GIMP has many of the
tools and filters you would expect to find in similar commercial offerings,
and some interesting extras as well.

The GIMP provides a large image manipulation toolbox, including channel
operations and layers, effects, sub-pixel imaging and anti-aliasing,
and conversions, all with multi-level undo.

This version of The GIMP includes a scripting facility, but many of the
included scripts rely on fonts that we cannot distribute.  The GIMP ftp
site has a package of fonts that you can install by yourself, which
includes all the fonts needed to run the included scripts.  Some of the
fonts have unusual licensing requirements; all the licenses are documented
in the package.  Get ftp://ftp.gimp.org/pub/gimp/fonts/freefonts-0.10.tar.gz
and ftp://ftp.gimp.org/pub/gimp/fonts/sharefonts-0.10.tar.gz if you are so
inclined.  Alternatively, choose fonts which exist on your system before
running the scripts.

%description -l ja
GIMP)Bϼ̿᡼ȥ᡼б᡼ץ
)BǤ¿οͤ䥦֥ڡΥեåκͭ
)BܤƤ롣GIMP¿εǽȥե륿Ѥʪʤɤ˻Ƥ
)BȻפ

GIMP)Bϡͥ쥤䡼̡֥ԥ衢ꥢ󥰡
)BѴƤΥ٥ǤΥɥʤɡ礭ʥ᡼ġܥå
)BƤ롣

GIMP)BΤΥСǤʥץȤޤǤ뤬¿ΥץȤϲ桹
)B󶡤ǤʤեȽζϤǤ롣GIMPFTPȤǤϤʤȤ
)B󥹥ȡǤ롢ץդΥեȥѥåѰդƤ롣
)B¿ΥեȤϥ饤󥹤ݻƤ롣ƤΥ饤󥹤ϤΥѥå
)BɥȤ˵ܤƤ롣⤷̣⤿줿ʤС
ftp://ftp.gimp.org/pub/gimp/fonts/freefonts-0.10.tar.gz)B
ftp://ftp.gimp.org/pub/gimp/fonts/sharefonts-0.10.tar.gz)BɤƤߤ
)BץȤưˤʤΥƥ¸ߤեȤ
)BƤ

%package devel
Summary: GIMP plugin and extension development kit.
Summary(ja): GIMP)BѤΥץ饰ȳĥȯå
Group: Development/Libraries
#Requires: gtk+-devel
Prereq: /sbin/install-info
%description devel
Static libraries and header files for writing GIMP plugins and extensions.
%description devel -l ja
GIMP)Bץ饰ĥǽ򵭽Ҥ뤿Υƥå饤֥ȥإåե

#%package libgimp
#Summary: GIMP libraries.
#Group: System Environment/Libraries
#Copyright: LGPL
#%description libgimp
#Libraries used to communicate between The GIMP and other programs which
#may function as "GIMP plugins".

%prep
%setup -q -n gimp-%{ver}
%patch0 -p1 -b .scripts
%patch1 -p1 -b .gdyntext

%build
if [ ! -f configure ]; then
  CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --prefix=%{prefix} --with-gnu-make
else
  CFLAGS="$RPM_OPT_FLAGS" ./configure  --prefix=%{prefix} --with-gnu-make
fi

if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix}/info              \
         $RPM_BUILD_ROOT%{prefix}/include           \
         $RPM_BUILD_ROOT%{prefix}/lib               \
         $RPM_BUILD_ROOT%{prefix}/bin               \
         $RPM_BUILD_ROOT%{prefix}/lib/perl5/5.00503
make prefix=$RPM_BUILD_ROOT%{prefix} install
install -c -m 644 ./plug-ins/perl/Gimp.pm $RPM_BUILD_ROOT%{prefix}/lib/perl5/5.00503/Gimp.pm

strip $RPM_BUILD_ROOT%{prefix}/bin/gimp

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%doc docs/*.txt docs/*.eps
%{prefix}/share/aclocal/gimp.m4
%{prefix}/share/gimp/
%{prefix}/share/locale/*/*/*
%{prefix}/bin/gimp
%{prefix}/lib/gimp/*
%{prefix}/man/man1/gimp.1
%{prefix}/lib/lib*.so.*
%{prefix}/lib/perl5/5.00503/Gimp.pm

%files devel
%{prefix}/lib/lib*a
%{prefix}/lib/lib*.so
%{prefix}/include/*

%changelog
* Fri Mar 10 2000 Takeshi Aihana <aihana@turbolinux.co.jp>
- upto 1.1.18 and Rebuild for TurboLinux Workstation 6.0J

* Mon Feb 07 2000 Takeshi Aihana <aihana@turbolinux.co.jp>
- upto 1.1.16 and Rebuild for TurboLinux Workstation 6.0J

*Tue Feb 01 2000 Takeshi Aihana <aihana@turbolinux.co.jp>
- Rebuild for TurboLinux Workstation 6.0J
