%define	distrib	TurboLinux
%define	nam	glibc
%define	ver	2.2.1
%define	rel	2
%define	cvsdate	20010118

Summary: GNU libc
Name: %{nam}
Version: %{ver}
Release: %{rel}
Group: System Environment/Libraries
Copyright: LGPL
Source0: %{name}-%{version}-%{cvsdate}.tar.bz2
# NOTE:  When updating kernel header versions, you also need to update the
# generated version.h (search for UTS_RELEASE)
Source1: linux-kernel-headers-2.4.0.tar.bz2
Patch10: %{name}-2.2-noroot.patch
Obsoletes: zoneinfo, libc-static, libc-devel, libc-profile, libc-headers,
Obsoletes:  linuxthreads, gencat, locale, kernel-headers
Autoreq: false
Serial: 2001011801
Requires: filesystem
Distribution: %{distrib}
BuildRoot: /var/tmp/%{name}-%{version}-root
BuildRequires: make >= 3.79, gcc >= 2.95.2, binutils >= 2.9.1.0.16
BuildRequires: texinfo >= 3.12f, gawk >= 3.0, sed >= 3.02
#NoSource: 0
#NoSource: 1

%ifarch alpha i386 i486 i586 i686 athlon
Provides: ldconfig
Obsoletes: ldconfig
%ifarch alpha
Provides: ld.so.2
%endif
%endif
%ifarch sparc
Obsoletes: libc
%endif
Obsoletes: glibc


%description
Contains the standard libraries that are used by multiple programs on
the system. In order to save disk space and memory, as well as to
ease upgrades, common system code is kept in one place and shared between
programs. This package contains the most important sets of shared libraries,
the standard C library and the standard math library. Without these, a
Linux system will not function. It also contains national language (locale)
support and timezone databases.


%package devel
Summary: Additional libraries required to compile
Group: Development/Libraries
Conflicts: texinfo < 3.11
Prereq: /sbin/install-info
Obsoletes: libc-debug, libc-headers, libc-devel, linuxthreads-devel
Obsoletes: glibc-debug, glibc-devel, kernel-headers
Provides: kernel-headers
# Prereq: kernel-headers
# Requires: kernel-headers >= 2.2.1
Autoreq: true


%description devel
To develop programs which use the standard C libraries (which nearly all
programs do), the system needs to have these standard header files and object
files available for creating the executables.


%package profile
Summary: glibc with profiling support
Group: Development/Libraries
Obsoletes: libc-profile glibc-profile
Autoreq: true


%description profile
When programs are being profiled used gprof, they must use these libraries
instrad of the standard C libraries for gprof to be able to profile
them correctly.


%package -n nscd
Summary: Name Service Caching Daemon
Group: System Environment/Daemons
Conflicts: kernel < 2.2.0
Prereq: /sbin/chkconfig
Autoreq: true


%description -n nscd
nscd caches name service lookups; it can dramatically improve performance
with NIS+, and may help with DNS as well.

You cannot use nscd with 2.0 kernels, due to bugs in the kernel-side thread
support. nscd happens to hit these bugs particularly hard.


%package -n mtrace
Summary: Tool for tracing malloc()s
Group: Development/Debuggers
Autoreq: true


%description -n mtrace
mtrace is a tool that was included with the glibc 2.2 library that
is used to trace malloc()'s.  This package include the perl script
mtrace and libraries needed to use it.


%changelog
* Thu Jan 18 2001 SL Baur  <steve@turbolinux.co.jp>
- update to CVS 20010118 (2.2.1 official + bugfixes)

* Tue Jan  9 2001 SL Baur  <steve@turbolinux.co.jp>
- update to CVS 20010109 (2.2.1 test release)
- update to kernel headers 2.4.0 (final)

* Fri Dec 15 2000 SL Baur  <steve@turbolinux.co.jp>
- update to CVS 20001215

* Thu Dec  7 2000 SL Baur  <steve@turbolinux.co.jp>
- update to CVS 20001207, use explicit build-time dependencies

* Mon Dec  4 2000 SL Baur  <steve@turbolinux.co.jp>
- disown /var/db, own /usr/lib/gconv, update to CVS 20001204

* Thu Nov 30 2000 SL Baur  <steve@turbolinux.co.jp>
- update to CVS 20001130
- fix symlinks in /usr/share/locale
- fix version string in linux/version.h

* Mon Nov 27 2000 SL Baur  <steve@turbolinux.co.jp>
- update kernel headers to 2.4.0-test11
- update to CVS 20001127

* Thu Nov 16 2000 SL Baur  <steve@turbolinux.co.jp>
- more post 2.2 fixes (CVS 20001116)
- handfix _DL_PLATFORMS_COUNT fuckage

* Fri Nov 10 2000 SL Baur  <steve@turbolinux.co.jp>
- update to CVS 20001110 (2.2 final)

* Mon Nov  6 2000 SL Baur  <steve@turbolinux.co.jp>
- update to CVS 20001106 (2.1.97)

* Thu Nov  2 2000 SL Baur  <steve@turbolinux.co.jp>
- update to CVS 20001102

* Tue Oct 31 2000 SL Baur  <steve@turbolinux.co.jp>
- Happy Hallowe'en update

* Mon Oct 30 2000 Toshihiro Yamagishi<toshihiro@turbolinux.co.jp>
- added filesystem requirement

* Mon Oct 23 2000 SL Baur  <steve@turbolinux.co.jp>
- update to CVS 20001023

* Mon Oct 16 2000 SL Baur  <steve@turbolinux.co.jp>
- update to CVS 20001016

* Fri Oct 13 2000 SL Baur  <steve@turbolinux.co.jp>
- update to CVS 20001013
- update kernel headers to 2.4.0-test9

* Wed Oct 11 2000 SL Baur  <steve@turbolinux.co.jp>
- update to CVS 20001011
- add /etc/ld.so.conf

* Wed Oct  4 2000 SL Baur  <steve@turbolinux.co.jp>
- update to CVS 20001004

* Tue Oct  3 2000 SL Baur  <steve@turbolinux.co.jp>
- include subdirectories of /usr/include/linux

* Mon Oct  2 2000 SL Baur  <steve@turbolinux.co.jp>
- fix kernel-headers dependencies
- update to CVS 20001002

* Fri Sep 29 2000 SL Baur  <steve@turbolinux.co.jp>
- update to CVS 20000929

* Fri Sep 22 2000 SL Baur  <steve@turbolinux.co.jp>
- update to CVS 20000922
- add kernel headers

* Tue Sep 12 2000 SL Baur  <steve@turbolinux.co.jp>
- update to CVS 20000912
- remove redundant thread-m.h patch

* Thu Sep  7 2000 SL Baur  <steve@turbolinux.co.jp>
- Remove bogus alpha/ include directory
- update to CVS 20000907
- regenerate CVS source file with `cvs update -d'

* Wed Sep  6 2000 SL Baur  <steve@turbolinux.co.jp>
- update to CVS 20000906
- include memory map patch

* Mon Sep  4 2000 SL Baur  <steve@turbolinux.co.jp>
- update to CVS 20000904
- provide `ldconfig' on Intel
- fix for no-root error-free building
- rewrite to use explicit file lists instead of find scripts

* Fri Sep  1 2000 SL Baur  <steve@turbolinux.co.jp>
- update to CVS 20000901 (corresponding to 'net release 2.1.93)

* Tue Aug 29 2000 SL Baur  <steve@turbolinux.co.jp>
- update to CVS 20000829

* Wed Aug 23 2000 SL Baur  <steve@turbolinux.co.jp>
- update to CVS 20000823

* Fri Aug 11 2000 SL Baur  <steve@turbolinux.co.jp>
- fix ldconfig dependency on alpha, synch with ix86 version
- update to CVS 20000811

* Thu Aug 10 2000 Masaru Yokoi <masaru@turbolinux.co.jp>
- Modified to make Japanese locale directory /usr/share/locale/ja*/LC_MESSAGES

* Tue Aug  8 2000 SL Baur  <steve@turbolinux.co.jp>
- update to CVS 20000808

* Thu Aug  3 2000 SL Baur  <steve@turbolinux.co.jp>
- remove all patches

* Tue Aug  1 2000 SL Baur  <steve@turbolinux.co.jp>
- update to CVS 20000801
- rebuild with gcc-2.95.2

* Wed Jul 19 2000 SL Baur  <steve@turbolinux.co.jp>
- Update to CVS 20000719
- Install Japanese message catalog

* Thu Jul 13 2000 SL Baur  <steve@turbolinux.co.jp>
- Update to CVS 20000713

* Tue Jul 11 2000 SL Baur  <steve@turbolinux.co.jp>
- Update to CVS 20000711

* Thu Jun 15 2000 SL Baur  <steve@turbolinux.co.jp>
- Updated to CVS 20000614
- built on Alpha

* Mon May 29 2000 Hirofumi Takeda <takepinturbolinux.co.jp>
- Updated to glibc-2.2

* Wed Mar 01 2000 Masaru Yokoi <masaru@turbolinux.co.jp>
- Added Japanese locale

* Mon Feb 28 2000 Masaru Yokoi <masaru@turbolinux.co.jp>
- Updated to glibc-2.1.3

* Fri Feb 28 2000 Masaru Yokoi <masaru@turbolinux.co.jp>
- Added patch for textarea in Netscape Navigator.

* Mon Feb  7 2000 Kazutomo Yoshii <kazutomo@turbolinux.co.jp>
- updated tl-localdata ( added new GB localedata, made a link
- ja_JP.eucJP -> ja_JP.ujis )

* Tue Nov 16 1999 Ki-ichiroh Naka <knaka@turbolinux.co.jp>
- removed /etc/localtime. it is to be generated by a config-tool

* Mon Sep 27 1999 Kelley Spoon <kelley.spoon@turbolinux.com>
- ok... scsi is back in again (was a while back, actually)
  kernel is going to concede /usr/include/scsi to glibc-devel

* Thu Aug 26 1999 Kelley Spoon <kspoon@turbolinux.com>
- we're moving back to egcs-1.1.2 as the main compiler for TL 4.1
- bumped to glibc-2.1.2pre3 (also upgraded linuxthreads)
- split mtrace (perl script) off into its own package to prevent
  glibc from requiring perl  :-) 

* Sun Aug 22 1999 Kelley Spoon <kspoon@turbolinux.com>
- built with gcc 2.95.1 on kernel 2.2.11
- removed references to /usr/include/scsi in rpm list

* Mon Jul 12 1999 Cristian Gafton <gafton@redhat.com>
- update for 2.1.2, the stable release of 2.1
- remove the patch that switched vfork with fork in libio/iopoen, as this
  should be handled now by a different patch
- statvfs patch no loger needed
- upgraded glibc-compat to 2.1.2 to address the __setfpucw problem (#3468)
- /etc/localtime is not a sylink anymore (#3816)
- add patch to implement xdr_ypall (#249)
- patch to link db_dump185 against the right db library (libdb1) (#2972)
- patch to fix the libpthread compatibility problem (#3738)
- patch to fix threads on SMP (#3693)
- patch to fix nscd alignment problem on the sparc (#3171)
- fix the bits/string.h header to stop generating compiler warnings.

* Mon Apr 26 1999 Cristian Gafton <gafton@redhat.com>
- alpha patches from Jay Estabrook to support the RX164

* Wed Apr 14 1999 Cristian Gafton <gafton@redhat.com>
- new CVS update - some patches dropped out
- updated obsoletes tag lines
- patch for the ukraine support

* Fri Apr 09 1999 Cristian Gafton <gafton@redhat.com>
- add patch for libstdc++ 2.7.2 (enable __dup, __pipe and __waitpid)
- linuxthread patch from HJLu
- add patch to make nscd respond to SIGHUP by dumping the cache

* Wed Apr 07 1999 Cristian Gafton <gafton@redhat.com>
- updated from cvs tree
- add patch for fstatvfs from HJLu

* Thu Apr 01 1999 Cristian Gafton <gafton@redhat.com>
- opentty fix
- don't call lddlibc4 on sparcs

* Thu Mar 25 1999 Cristian Gafton <gafton@redhat.com>
- version 2.1.1
- make nscd run by default at init
- nscd subpackage
- let the subpackages autoreq their own thing

* Fri Mar 12 1999 Cristian Gafton <gafton@redhat.com>
- version 2.1
- strip binaries installed by default

* Thu Feb 18 1999 Cristian Gafton <gafton@redhat.com>
- updated snapshot
- glibc-crypt might have export problems (who knows?), so we are nosource
  iit for now

* Wed Feb 03 1999 Cristian Gafton <gafton@redhat.com>
- version 2.0.112
- merge glibc-debug into glibc-devel
- new compat add-on

* Wed Jan 13 1999 Cristian Gafton <gafton@redhat.com>
- new glibc-crypt add-on
- version 2.0.109
- handle /etc/localtime separately
- don't include /usr/share in the file list
- don not build glibc-compat on the arm

* Wed Dec 02 1998 Cristian Gafton <gafton@redhat.com>
- build ver 2.0.105 on all four arches
- enabled /usr/include/scsi as part of the glibc package

* Fri Oct 02 1998 Cristian Gafton <gafton@redhat.com>
- first build for 2.0.96


%prep
rm -rf $RPM_BUILD_ROOT


# setup -a 1 -n libc
%setup -q -n libc
## patch3 -p1
%patch10 -p1 -b .noroot
rm -rf kernel-headers
mkdir kernel-headers
cd kernel-headers
bunzip2 -c %{SOURCE1} | tar xf -
%ifarch alpha
ln -s asm-alpha asm
%endif
%ifarch i386 i486 i586 i686 athlon
ln -s asm-i386 asm
%endif
%ifarch ia64
ln -s asm-ia64 asm
%endif

# Now generate files created by running configure, there are two:
# autoconf.h, which has no business being required for libc,
echo "/* This file is silly */" > linux/autoconf.h
echo "#define AUTOCONF_INCLUDED" >> linux/autoconf.h
# ... and version.h
echo '#define UTS_RELEASE "2.4.0"' > linux/version.h
echo \#define LINUX_VERSION_CODE `expr 2 \* 65536 + 4 \* 256 + 0` >> linux/version.h
echo '#define KERNEL_VERSION(a,b,c) (((a) << 16) + ((b) << 8) + (c))' >> linux/version.h

%build

rm -rf build-$RPM_ARCH-linux
mkdir build-$RPM_ARCH-linux ; cd build-$RPM_ARCH-linux
%ifarch i386 i486 i586 i686 athlon
SMP=`grep processor /proc/cpuinfo | wc -l `
MYARCH=i386-pc-linux
%else
%ifarch alpha
SMP=`grep cpus.detected /proc/cpuinfo | awk '{print $4;}'`
MYARCH=alpha-pc-linux
%endif
%endif

CFLAGS="$RPM_OPT_FLAGS" \
../configure --prefix=%{_prefix} \
	--infodir=%{_infodir} \
	--mandir=%{_mandir} \
	--host=$MYARCH --without-cvs \
	--with-headers=`pwd`/../kernel-headers \
	--enable-add-ons

make PARALLELMFLAGS="-j $SMP" \
	localedir=%{_prefix}/share/locale

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
make -i install_root=$RPM_BUILD_ROOT install -C build-$RPM_ARCH-linux
cd build-$RPM_ARCH-linux && \
  make -i install_root=$RPM_BUILD_ROOT \
	localedir=$RPM_BUILD_ROOT%{_prefix}/share/locale \
	infodir=$RPM_BUILD_ROOT%{_infodir} \
	mandir=$RPM_BUILD_ROOT%{_mandir} \
	install-locales -C ../localedata objdir=`pwd` && \
    cd ..

# the man pages for the linuxthreads require special attention
make -C linuxthreads/man
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man3
install -m 0644 linuxthreads/man/*.3thr $RPM_BUILD_ROOT%{_mandir}/man3
gzip $RPM_BUILD_ROOT%{_mandir}/man3/*

ln -sf libbsd-compat.a $RPM_BUILD_ROOT/usr/lib/libbsd.a

# This is for ncsd - in glibc 2.1
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m 644 nscd/nscd.conf $RPM_BUILD_ROOT/etc
install -m 755 nscd/nscd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/nscd

# The database support
mkdir -p $RPM_BUILD_ROOT/var/db
install -m 644 nss/db-Makefile $RPM_BUILD_ROOT/var/db/Makefile


# Install Japanese locale
(
  cd $RPM_BUILD_ROOT%{_prefix}/share/locale
  # Link other names until we normalize everything
  ln -s ja_JP.eucjp ja_JP.eucJP
  ln -s ja_JP.eucjp ja_JP.EUC
  ln -s ja_JP.eucjp ja_JP.ujis
)

(
  cd $RPM_BUILD_ROOT%{_prefix}/lib
  # /usr/lib/locale is an alias for /usr/share/locale
  ln -s ../share/locale .
)

# add ld.so.conf
echo "/usr/X11R6/lib" > $RPM_BUILD_ROOT/etc/ld.so.conf
echo "/usr/lib/gconv" >> $RPM_BUILD_ROOT/etc/ld.so.conf
echo "/usr/lib/qt/lib" >> $RPM_BUILD_ROOT/etc/ld.so.conf
echo "/usr/local/lib" >> $RPM_BUILD_ROOT/etc/ld.so.conf
%ifarch alpha
echo "/usr/shlib" >> $RPM_BUILD_ROOT/etc/ld.so.conf
%endif
%ifarch i386 i486 i586 i686 ix86 athlon
echo "/usr/i386-linuxaout/lib" >> $RPM_BUILD_ROOT/etc/ld.so.conf
echo "/usr/lib/libc5-compat" >> $RPM_BUILD_ROOT/etc/ld.so.conf
%endif

# Strip binaries
strip $RPM_BUILD_ROOT/sbin/* || :
strip $RPM_BUILD_ROOT/usr/bin/* || :
strip $RPM_BUILD_ROOT/usr/sbin/* || :

# Now add the kernel headers we built with
cp -a kernel-headers/linux kernel-headers/asm $RPM_BUILD_ROOT%{_prefix}/include
%ifarch i386 i486 i586 i686 athlon
cp -a kernel-headers/asm-i386 $RPM_BUILD_ROOT%{_prefix}/include
%endif
%ifarch alpha
cp -a kernel-headers/asm-alpha $RPM_BUILD_ROOT%{_prefix}/include
%endif
%ifarch ia64
cp -a kernel-headers/asm-ia64 $RPM_BUILD_ROOT%{_prefix}/include
%endif


# the last bit: more documentation
rm -rf documentation
mkdir documentation
cp linuxthreads/ChangeLog  documentation/ChangeLog.threads
cp linuxthreads/Changes documentation/Changes.threads
cp linuxthreads/README documentation/README.threads
cp linuxthreads/FAQ.html documentation/FAQ-threads.html
cp -r linuxthreads/Examples documentation/examples.threads
cp crypt/README.ufc-crypt documentation/README.crypt
cp timezone/README documentation/README.timezone
cp ChangeLog* documentation
gzip -9 documentation/ChangeLog*

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post devel
/sbin/install-info %{_infodir}/libc.info.gz %{_infodir}/dir

%preun devel
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{_infodir}/libc.info.gz %{_infodir}/dir
fi

%post -n nscd
/sbin/chkconfig --add nscd

%preun -n nscd
if [ $1 = 0 ] ; then
    /sbin/chkconfig --del nscd
fi

%clean
rm -rf "$RPM_BUILD_ROOT"
rm -f *.filelist*

%files
%defattr(-,root,root)
%doc README NEWS INSTALL FAQ BUGS NOTES PROJECTS
%doc documentation/* README.template README.libm
%attr( 0775,root,root) %dir /usr/share/i18n
%attr( 0775,root,root) %dir /usr/share/i18n/charmaps
%attr( 0775,root,root) %dir /usr/share/i18n/locales
%attr( 0775,root,root) %dir /usr/share/locale
%attr( 0775,root,root) %dir /usr/share/zoneinfo
%config(noreplace) /etc/rpc
%config(noreplace) /etc/ld.so.conf
/lib/*
/sbin/*
%{_prefix}/bin/*
%dir %{_prefix}/lib/gconv
%{_prefix}/lib/gconv/*
%attr( 4755,root,root) /usr/libexec/pt_chown
%{_prefix}/sbin/*
%{_prefix}/share/i18n/charmaps/*
%{_prefix}/share/i18n/locales/*
%{_prefix}/share/locale/*
%{_prefix}/share/zoneinfo/*
/var/db/Makefile

%files devel
%defattr(-,root,root)
%ifarch alpha
%attr( 0775,root,root) %dir %{_prefix}/include/alpha
%endif
%attr( 0775,root,root) %dir %{_prefix}/include/arpa
%{_prefix}/include/asm
%attr( 0775,root,root) %dir %{_prefix}/include/bits
%attr( 0775,root,root) %dir %{_prefix}/include/gnu
%dir %{_prefix}/include/linux
%attr( 0775,root,root) %dir %{_prefix}/include/net
%attr( 0775,root,root) %dir %{_prefix}/include/netash
%attr( 0775,root,root) %dir %{_prefix}/include/netatalk
%attr( 0775,root,root) %dir %{_prefix}/include/netax25
%attr( 0775,root,root) %dir %{_prefix}/include/neteconet
%attr( 0775,root,root) %dir %{_prefix}/include/netinet
%attr( 0775,root,root) %dir %{_prefix}/include/netipx
%attr( 0775,root,root) %dir %{_prefix}/include/netpacket
%attr( 0775,root,root) %dir %{_prefix}/include/netrom
%attr( 0775,root,root) %dir %{_prefix}/include/netrose
%attr( 0775,root,root) %dir %{_prefix}/include/nfs
%attr( 0775,root,root) %dir %{_prefix}/include/protocols
%attr( 0775,root,root) %dir %{_prefix}/include/rpc
%attr( 0775,root,root) %dir %{_prefix}/include/rpcsvc
%attr( 0775,root,root) %dir %{_prefix}/include/scsi
%attr( 0775,root,root) %dir %{_prefix}/include/sys
%{_prefix}/include/*.h
%ifarch alpha
%{_prefix}/include/alpha/*.h
%endif
%{_prefix}/include/asm-*/*.h
%{_prefix}/include/arpa/*.h
%{_prefix}/include/bits/*.h
%{_prefix}/include/gnu/*.h
%{_prefix}/include/linux/*.h
%{_prefix}/include/linux/*/*.h
%{_prefix}/include/net/*.h
%{_prefix}/include/netash/*.h
%{_prefix}/include/netatalk/*.h
%{_prefix}/include/netax25/*.h
%{_prefix}/include/neteconet/*.h
%{_prefix}/include/netinet/*.h
%{_prefix}/include/netipx/*.h
%{_prefix}/include/netpacket/*.h
%{_prefix}/include/netrom/*.h
%{_prefix}/include/netrose/*.h
%{_prefix}/include/nfs/*.h
%{_prefix}/include/protocols/*.h
%{_prefix}/include/rpc/*.h
%{_prefix}/include/rpcsvc/*.h
%{_prefix}/include/scsi/*.h
%{_prefix}/include/sys/*.h
%{_infodir}/libc.info*
%{_prefix}/lib/libBrokenLocale.a
%{_prefix}/lib/libbsd-compat.a
%{_prefix}/lib/libbsd.a
%{_prefix}/lib/libc.a
%{_prefix}/lib/libc_nonshared.a
%{_prefix}/lib/libcrypt.a
%{_prefix}/lib/libdl.a
%{_prefix}/lib/libg.a
%{_prefix}/lib/libieee.a
%{_prefix}/lib/libm.a
%{_prefix}/lib/libmcheck.a
%{_prefix}/lib/libnsl.a
%{_prefix}/lib/libpthread.a
%{_prefix}/lib/libresolv.a
%{_prefix}/lib/librpcsvc.a
%{_prefix}/lib/librt.a
%{_prefix}/lib/libutil.a
%{_prefix}/lib/*.o
%{_prefix}/lib/*.so
%{_mandir}/man3/*

%files profile
%defattr(-,root,root)
%{_prefix}/lib/lib*_p.a

%files -n nscd
%defattr(-,root,root)
%config(noreplace) /etc/nscd.conf
/etc/rc.d/init.d/nscd
/usr/sbin/nscd

%files -n mtrace
%defattr(-,root, root)
/usr/bin/mtrace
