%define distrib		TurboLinux
%define name		glibc-locale
%define ver			2.1.3
%define rel			8

%define	ja_ver		14
%define ko_ver		4
%define ko_rel		3
%define zh_ver		0.07.01

%define prefix      /usr


Summary: glibc locale data for japanese
Name: %{name}
Version: %{ver}
Release: %{rel}
Group: System Environment/Libraries
Copyright: LGPL
Source0: ftp://ftp.debian.org/debian/dists/potato/main/source/admin/locale-ja_%{ja_ver}.tar.gz
Source1: locale-ko_%{ko_ver}-%{ko_rel}.tar.gz
Source2: localedata-zh-%{zh_ver}.tar.gz
Patch10: glibc-locale-2.1.3-jaJPynfix.patch
Serial: 2000122201
Distribution: %{distrib}
BuildRoot: /var/tmp/%{name}-%{ver}-root
Requires: glibc >= 2.1.3
Buildrequires: glibc >= 2.1.3
Obsoletes: glibc-locale-ja13, glibc-locale-ja
Obsoletes: localedata-zh
Provides: localedata-zh
BuildArch: noarch
#NoSource: 0
#NoSource: 1
#NoSource: 2


%description
glibc locale data for Japanese, Korean, and Chinese.

%changelog
* Thu Dec 21 2000 Masaru Yokoi <masaru@turbolinux.co.jp>
- Added Obsoletes and provides for localedata-zh

* Wed Nov 22 2000 Masaru Yokoi <masaru@turbolinux.co.jp>
- Added localedata-ko, and localedata-zh.

* Wed Oct 18 2000 Masaru Yokoi <masaru@turbolinux.co.jp>
- Modified Yes or No questions expr again.

* Wed Oct 18 2000 Masaru Yokoi <masaru@turbolinux.co.jp>
- Modified Yes or No questions expr. (patch#10)

* Wed Aug 09 2000 Masaru Yokoi <masaru@turbolinux.co.jp>
- Updated original source to locale-ja_14
- Changed Yen symbol from "$" to "\\".

* Mon Aug 07 2000 Masaru Yokoi <masaru@turbolinux.co.jp>
- Added glibc-locale-ja entry in Obsoletes .

* Thu Apr 27 2000 Takeshi Aihana <aihana@turbolinux.co.jp>
- clean up spec file for TurboLinux
- change package name and obsolute old package

* Sat Mar 11 2000 Go Taniguchi <go@turbolinux.co.jp>
- generate japanese locale data from locale-ja-13
- separate japanese locale

#--------------------------------------------------

%prep
rm -rf $RPM_BUILD_ROOT

%setup0 -q -c -a 1 -a 2

## Japanese locale patch
cd locale-ja-%{ja_ver}
%patch10 -p1 -b .ynfix
cd ..

## Prepare document files
mkdir -p doc/ja
mkdir -p doc/ko
mkdir -p doc/zh

cd locale-ja-%{ja_ver}
cp debian/changelog debian/copyright ../doc/ja/
cd ../locale-ko-%{ko_ver}
cp debian/README.* debian/changelog debian/lc_time.mb debian/copyright \
	../doc/ko/
cd ../
cp localedata-zh-%{zh_ver}/README doc/zh/

%build
mkdir -p locale/ja_JP
mkdir -p locale/ko_KR
mkdir -p locale/zh_CN
mkdir -p locale/zh_TW

cd locale-ja-%{ja_ver}
localedef -c -f charmaps/EUC-JP -i ja_JP \
  -u /usr/share/i18n/repertoiremaps/mnemonic.ds ../locale/ja_JP

cd ../locale-ko-%{ko_ver}
localedef -c -v -i ko_KR.eucKR.19990707 -f EUC-KR.19990526 ../locale/ko_KR

cd ../localedata-zh-%{zh_ver}/i18n
localedef -i locales/zh_CN.GBK -f charmaps/GBK \
	-u mnemonic.ds ../../locale/zh_CN
localedef -i locales/zh_TW.Big5 -f charmaps/BIG5 \
	-u mnemonic.ds ../../locale/zh_TW


%install
function makelink {
( mkdir -p $RPM_BUILD_ROOT%{prefix}/share/locale/$1
  cd $RPM_BUILD_ROOT%{prefix}/share/locale/$1
  ln -s ../$2/LC_COLLATE
  ln -s ../$2/LC_CTYPE
  ln -s ../$2/LC_MONETARY             
  ln -s ../$2/LC_NUMERIC
  ln -s ../$2/LC_TIME
  mkdir LC_MESSAGES
  ln -s ../../$2/LC_MESSAGES/SYS_LC_MESSAGES LC_MESSAGES/
)
}

rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{prefix}/share/i18n/charmaps
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/i18n/locales
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/locale/ja_JP
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/locale/ko_KR
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/locale/zh_CN
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/locale/zh_TW

## install /usr/share/i18n/locales
install -c -m644 locale-ja-%{ja_ver}/ja_JP \
	$RPM_BUILD_ROOT%{prefix}/share/i18n/locales/ja_JP

install -c -m644 locale-ko-%{ko_ver}/ko_KR.eucKR.19990707 \
	$RPM_BUILD_ROOT%{prefix}/share/i18n/locales/ko_KR

install -c -m644 localedata-zh-%{zh_ver}/i18n/locales/zh_CN.GBK \
	$RPM_BUILD_ROOT%{prefix}/share/i18n/locales/zh_CN.GBK

install -c -m644 localedata-zh-%{zh_ver}/i18n/locales/zh_TW.Big5 \
	$RPM_BUILD_ROOT%{prefix}/share/i18n/locales/zh_TW.Big5

## isntall /usr/share/i18n/charmaps
install -c -m644 locale-ja-%{ja_ver}/charmaps/EUC-JP \
	$RPM_BUILD_ROOT%{prefix}/share/i18n/charmaps/EUC-JP

install -c -m644 locale-ko-%{ko_ver}/EUC-KR.19990526 \
	$RPM_BUILD_ROOT%{prefix}/share/i18n/charmaps/EUC-KR

install -c -m644 localedata-zh-%{zh_ver}/i18n/charmaps/GBK \
	$RPM_BUILD_ROOT%{prefix}/share/i18n/charmaps/GBK

install -c -m644 localedata-zh-%{zh_ver}/i18n/charmaps/BIG5 \
	$RPM_BUILD_ROOT%{prefix}/share/i18n/charmaps/BIG5

## install /usr/share/locale/*
tar -cf - locale | tar -xf - -C $RPM_BUILD_ROOT%{prefix}/share

makelink ja_JP.ujis	ja_JP
makelink ja_JP.eucJP	ja_JP
makelink ja		ja_JP
makelink ko_KR.eucKR	ko_KR
makelink ko		ko_KR
makelink zh_CN.GB2312	zh_CN
makelink zh_TW.Big5	zh_TW

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root, root)
%doc doc/*
%{prefix}/share/locale/*
%{prefix}/share/i18n/locales/*
%{prefix}/share/i18n/charmaps/*
