%define name     gmp
%define ver      3.1
%define rel      3
%define prefix   /usr
%define infodir  %{prefix}/share/info
%define serial   2000092001


Summary: 	A GNU arbitrary precision library.
Name: 		%{name}
Version: 	%{ver}
Release: 	%{rel}
Copyright: 	LGPL 
Group: 		System Environment/Libraries
Source: 	ftp://ftp.gnu.org/pub/gnu/%{name}/%{name}-%{ver}.tar.gz
URL: 		http://www.swox.com/gmp/
Serial: 	%{serial}
Distribution: 	TurboLinux
BuildRoot: 	/var/tmp/%{name}-%{ver}-root
PreReq: 	/sbin/ldconfig
# NoSource: 0


%description
The gmp package contains GNU MP, a library for arbitrary precision
arithmetic, signed integers operations, rational numbers and
floating point numbers. GNU MP is designed for speed, for both
small and very large operands. GNU MP is fast for several reasons:
It uses fullwords as the basic arithmetic type, it uses fast
algorithms, it carefully optimizes assembly code for many CPUs'
most common inner loops and it generally emphasizes speed over
simplicity/elegance in its operations.

Install the gmp package if you need a fast arbitrary precision
library.


%package devel
Summary: 	Development tools for the GNU MP arbitrary precision library.
Group: 		Development/Libraries
PreReq: 	/sbin/install-info
Requires:	%{name} = %{ver}

%description devel
The static libraries, header files and documentation for using the GNU
MP arbitrary precision library in applications.  

If you want to develop applications which will use the GNU MP library,
you'll need to install the gmp-devel package.  You'll also need to
install the gmp package.


%changelog
* Wed Sep 20 2000 Maxime Froment <maxime@turbolinux.co.jp>
- comment NoSource/NoPatch for new Centro specification

* Thu Aug 17 2000 Maxime Froment <maxime@turbolinux.co.jp>
- change ldconfig dependency

* Wed Aug 16 2000 Maxime Froment <maxime@turbolinux.co.jp>
- upgraded to 3.1

* Tue Jun 20 2000 Maxime Froment <maxime@turbolinux.co.jp>
- upgraded to 3.0.1 (patches not needed anymore - libtoolize commented 
  out: conflicts with ltconfig in package)
- spec file facelift

* Tue Oct 26 1999 Kelley Spoon <kelley.spoon@turbolinux.com>
- moved docs to /usr/share/{info,man} 

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 8)

* Thu Feb 11 1999 Michael Johnson <johnsonm@redhat.com>
- include the private header file gmp-mparam.h because several
  apps seem to assume that they are building against the gmp
  source tree and require it.  Sigh.

* Tue Jan 12 1999 Michael K. Johnson <johnsonm@redhat.com>
- libtoolize to work on arm

* Thu Sep 10 1998 Cristian Gafton <gafton@redhat.com>
- yet another touch of the spec file

* Wed Sep  2 1998 Michael Fulbright <msf@redhat.com>
- looked over before inclusion in RH 5.2

* Sat May 24 1998 Dick Porter <dick@cymru.net>
- Patch Makefile.in, not Makefile
- Don't specify i586, let configure decide the arch

* Sat Jan 24 1998 Marc Ewing <marc@redhat.com>
- started with package from Toshio Kuratomi <toshiok@cats.ucsc.edu>
- cleaned up file list
- fixed up install-info support
#-----------------------------------------------------------------
%prep
rm -rf ${RPM_BUILD_ROOT}
%setup


%build
CFLAGS="${RPM_OPT_FLAGS}" ./configure \
	--prefix=%{prefix} \
	--infodir=%{infodir}
make 


%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install
install -m 644 gmp-mparam.h ${RPM_BUILD_ROOT}%{prefix}/include/
gzip -nf ${RPM_BUILD_ROOT}%{infodir}/gmp.info* 


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%post devel
/sbin/install-info %{infodir}/gmp.info.gz %{infodir}/dir

%preun devel
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{infodir}/gmp.info.gz %{infodir}/dir
fi


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS NEWS README ChangeLog
%{prefix}/lib/lib*.so.*


%files devel
%defattr(-,root,root)
%doc doc/*
%{prefix}/lib/lib*.so
%{prefix}/lib/lib*.a
%{prefix}/lib/lib*.la
%{prefix}/include/gmp.h
%{prefix}/include/gmp-mparam.h
%{infodir}/gmp.info*
