Summary: A GNU arbitrary precision library.
Name: gmp
Version: 2.0.2
Release: 9
URL: http://www.gnu.org
Source: ftp://ftp.gnu.org/pub/gnu/gmp-2.0.2.tar.gz
Patch0: gmp-2.0.2-1.shared.patch
Patch1: gmp-sharedir.patch
Copyright: GPL 
Group: System Environment/Libraries
BuildRoot: /var/tmp/%{name}-root

Serial: 2000022301
Distribution: TurboLinux Japan

%description
The gmp package contains GNU MP, a library for arbitrary precision
arithmetic, signed integers operations, rational numbers and
floating point numbers. GNU MP is designed for speed, for both
small and very large operands. GNU MP is fast for several reasons:
It uses fullwords as the basic arithmetic type, it uses fast
algorithms, it carefully optimizes assembly code for many CPUs'
most common inner loops and it generally emphasizes speed over
simplicity/elegance in its operations.

Install the gmp package if you need a fast arbitrary precision
library.

%package devel
Summary: Development tools for the GNU MP arbitrary precision library.
Group: Development/Libraries
PreReq: /sbin/install-info

%description devel
The static libraries, header files and documentation for using the GNU
MP arbitrary precision library in applications.  

If you want to develop applications which will use the GNU MP library,
you'll need to install the gmp-devel package.  You'll also need to
install the gmp package.

%changelog
* Tue Oct 26 1999 Kelley Spoon <kelley.spoon@turbolinux.com>
- moved docs to /usr/share/{info,man} 

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 8)

* Thu Feb 11 1999 Michael Johnson <johnsonm@redhat.com>
- include the private header file gmp-mparam.h because several
  apps seem to assume that they are building against the gmp
  source tree and require it.  Sigh.

* Tue Jan 12 1999 Michael K. Johnson <johnsonm@redhat.com>
- libtoolize to work on arm

* Thu Sep 10 1998 Cristian Gafton <gafton@redhat.com>
- yet another touch of the spec file

* Wed Sep  2 1998 Michael Fulbright <msf@redhat.com>
- looked over before inclusion in RH 5.2

* Sat May 24 1998 Dick Porter <dick@cymru.net>
- Patch Makefile.in, not Makefile
- Don't specify i586, let configure decide the arch

* Sat Jan 24 1998 Marc Ewing <marc@redhat.com>
- started with package from Toshio Kuratomi <toshiok@cats.ucsc.edu>
- cleaned up file list
- fixed up install-info support

%prep
%setup
%patch0 -p1
%patch1 -p1
%build
libtoolize --copy --force
./configure --prefix=/usr --infodir=\${prefix}/usr/share/info
make CFLAGS="${RPM_OPT_FLAGS}"

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}/usr/lib ${RPM_BUILD_ROOT}/usr/share/info \
         ${RPM_BUILD_ROOT}/usr/include

make CFLAGS="${RPM_OPT_FLAGS}" prefix=${RPM_BUILD_ROOT}/usr install
gzip -9nf ${RPM_BUILD_ROOT}/usr/share/info/gmp.info*
install -m 644 mpn/gmp-mparam.h ${RPM_BUILD_ROOT}/usr/include/

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%post devel
/sbin/install-info /usr/share/info/gmp.info.gz /usr/share/info/dir

%preun devel
if [ "$1" = 0 ]; then
    /sbin/install-info --delete /usr/share/info/gmp.info.gz /usr/share/info/dir
fi

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/lib/libgmp.so.2.0.2

%files devel
%defattr(-,root,root)
%doc SPEED NEWS README
/usr/lib/libgmp.so
/usr/lib/libgmp.a
/usr/include/gmp.h
/usr/include/gmp-mparam.h
/usr/share/info/gmp.info*
