%define	name		imlib
%define ver			1.9.8.1
%define rel			4
%define prefix		/usr
%define	sysconfdir	/etc
%define	serial		2000123101


Summary: An image loading and rendering library for X11R6
Name: %{name}
Version: %{ver}
Release: %{rel}
Group: System Environment/Libraries
Copyright: LGPL
Source: ftp://ftp.gnome.org/pub/GNOME/stable/sources/imlib/%{name}-%{ver}.tar.gz
Patch: imlib-1.9.8.1-nls.patch
URL: http://www.labs.redhat.com/imlib/
Serial: %{serial}
Distribution: TurboLinux
BuildRoot: /var/tmp/%{name}-%{ver}-root
Requires: libpng libtiff libjpeg libungif zlib gtk+ >= 1.2 
Buildrequires: libpng libtiff libjpeg libungif zlib gtk+ >= 1.2 
PreReq: ldconfig, bash
Obsoletes: Imlib
# NoSource: 0


%description
Imlib is a display depth-independent image loading and rendering library.
Imlib is designed to simplify and speed up the process of loading images
and obtaining X Window System drawables.  Imlib provides many simple
manipulation routines which can be used for common operations.  

Install imlib if you need an image loading and rendering library for X11R6.
You may also want to install the imlib-cfgeditor package, which will help
you configure Imlib.

%package devel
Summary: Development tools for Imlib applications.
Group: Development/Libraries
Requires: imlib = %{PACKAGE_VERSION}
Requires: libpng-devel libtiff-devel libjpeg-devel libungif-devel zlib-devel gtk+-devel
Requires: XFree86-devel
Obsoletes: Imlib

%description devel
The header files, static libraries and documentation needed for
developing Imlib applications.  Imlib is an image loading and rendering
library for X11R6.

Install the imlib-devel package if you want to develop Imlib applications.
You'll also need to install the imlib and imlib_cfgeditor packages.

%package cfgeditor
Summary: A configuration editor for the Imlib library.
Group: System Environment/Libraries
Requires: imlib = %{PACKAGE_VERSION}

%description cfgeditor
The imlib-cfgeditor package contains the imlib_config program, which you
can use to configure the Imlib image loading and rendering library.
imlib_config can be used to control how Imlib uses color and handles
gamma corrections, etc.

If you're installing the imlib package, you should also install
imlib_cfgeditor.


%changelog
* Sun Dec 31 2000 Roger Luethi <rluethi@turbolinux.com>
- 1.9.8.1-4: libtoolized build

* Wed Sep 20 2000 Maxime Froment <maxime@turbolinux.co.jp>
- comment NoSource/NoPatch for new Centro specification

* Fri Aug 18 2000 Takeshi Aihana <aihana@turbolinux.co.jp>
- rmove strip comannd from %install section

* Tue May 30 2000 Takeshi Aihana <aihana@turbolinux.co.jp>
- upto 1.9.8.1
- modified patch which are defined locale

* Mon Dec 20 1999 Shingo Akagaki <dora@kondara.org>
- add imlib_config i18n patch

* Mon Nov 8 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Tue Oct 26 1999 Shingo Akagaki <akagaki@ece.numazu-ct.ac.jp>
- up to 1.9.8

* Tue Aug 31 1999 Elliot Lee <sopwith@redhat.com>
- Updates from the RHL 6.0 package.

* Mon Jan 11 1999 Carsten Haitzler <raster@redhat.com>
- up to 1.9.0

* Wed Sep 23 1998 Carsten Haitzler <raster@redhat.com>
- up to 1.8.1

* Tue Sep 22 1998 Cristian Gafton <gafton@redhat.com>
- yet another build for today (%defattr and %attr in the files lists)
- devel docs are back on the spec file

* Tue Sep 22 1998 Carsten Haitzler <raster@redhat.com>
- Added minor patch for ps saving code.

* Mon Sep 21 1998 Cristian Gafton <gafton@redhat.com>
- updated to version 1.8

* Fri Sep 11 1998 Cristian Gafton <gafton@redhat.com>
- take out imlib_config from devel package

* Wed Sep 9 1998 Michael Fulbright <msf@redhat.com>
- upgraded to 1.7
- changed name so it will persist if user later install devel imlib
- added subpackage for imlib_config

* Fri Apr 3 1998 Michael K. Johnson <johnsonm@redhat.com>
- fixed typo

* Fri Mar 13 1998 Marc Ewing <marc@redhat.com>
- Added -k, Obsoletes
- Integrate into CVS source tree
#------------------------------------------------------------------------
%prep
rm -rf $RPM_BUILD_ROOT


%setup -q -n %{name}-%{ver}
%patch -p1 -b .locale


%build
libtoolize --copy --force
%ifnarch alpha
  if [ ! -f configure ]; then
    CFLAGS="$RPM_OPT_FLAGS" \
    ./autogen.sh --prefix=%{prefix} --sysconfdir=%{sysconfdir} --enable-shm
  else
    CFLAGS="$RPM_OPT_FLAGS" \
    ./configure  --prefix=%{prefix} --sysconfdir=%{sysconfdir}  --enable-shm
  fi
%else
  if [ ! -f configure ]; then
    CFLAGS="$RPM_OPT_FLAGS" \
    ./autogen.sh --prefix=%{prefix} --sysconfdir=%{sysconfdir} --host=alpha-pc-linux
  else
    CFLAGS="$RPM_OPT_FLAGS" \
    ./configure  --prefix=%{prefix} --sysconfdir=%{sysconfdir} --host=alpha-pc-linux
  fi
%endif
if [ "$SMP" != "" ]; then
  make -j$SMP "MAKE=make -j$SMP"
else
  make
fi


%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{prefix} sysconfdir=$RPM_BUILD_ROOT/%{sysconfdir} install
#strip `file $RPM_BUILD_ROOT%{prefix}/bin/* | awk -F':' '/executable/ { print $1 }'`


%clean
rm -rf $RPM_BUILD_ROOT


%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc README AUTHORS ChangeLog NEWS
%attr(755,root,root) %{prefix}/lib/lib*.so.*
%config %{sysconfdir}/*
%{prefix}/lib/libimlib-*.so

%files cfgeditor
%defattr(-,root,root)
%{prefix}/bin/imlib_config

%files devel
%defattr(-,root,root)
%doc doc/*.gif doc/*.html
%{prefix}/bin/imlib-config
%{prefix}/lib/libImlib.so
%{prefix}/lib/libgdk_imlib.so
%{prefix}/lib/*a
%{prefix}/include/*
%{prefix}/share/aclocal/*
