%define name	libglade
%define ver		0.15
%define rel     2
%define prefix	/usr
%define serial	2000123101

Summary: The libglade library for loading user interfaces.
Name: %{name}
Version: %{ver}
Release: %{rel}
Copyright: LGPL
Group: System Environment/Libraries
Source: ftp://ftp.gnome.org/pub/GNOME/stable/latest/sources/%{name}-%{ver}.tar.gz
URL: http://www.daa.com.au/~james/gnome/
Serial: %{serial}
Distribution: TurboLinux
BuildRoot: /var/tmp/%{name}-%{ver}-root
Requires: libxml >= 1.7.2 gtk+ >= 1.2.0 bonobo
Buildrequires: libxml >= 1.7.2 gtk+ >= 1.2.0 bonobo
PreReq: ldconfig, bash
# NoSource: 0


%description
The libglade library allows you to load user interfaces which are
stored externally into your program. This allows for alteration of the
interface without recompilation of the program. The interfaces can
also be edited with GLADE. Currently libglade supports all of the
widgets in current releases, keyboard accelerators and automatic
signal connection.


%package devel
Summary: The files needed for libglade application development.
Group: Development/Libraries
Requires: libglade = %{ver} gtk+-devel libxml-devel
%description devel
The libglade-devel package contains the libraries, include files,
etc., that you can use to develop libglade applications.


%changelog
* Sun Dec 31 2000 Roger Luethi <rluethi@turbolinux.com>
- 0.15-2: libtoolized build

* Fri Dec  1 2000 Takeshi Aihana <aihana@turbolinux.co.jp>
- upgraded to 0.15
- fixed %file section

* Wed Sep 20 2000 Maxime Froment <maxime@turbolinux.co.jp>
- comment NoSource/NoPatch for new Centro specification

* Fri Jul 14 2000 Maxime Froment <maxime@turbolinux.co.jp>
- upgraded to 0.14

* Tue May 23 2000 Takeshi Aihana <aihana@turbolinux.co.jp>
- Upto 0.13

* Mon Apr  3 2000 Takeshi Aihana <aihana@turbolinux.co.jp>
- updated to 0.12

*Wed Jan 26 2000 Takeshi Aihana <aihana@turbolinux.co.jp>
- Rebuild for TurboLinux Workstation 6.0J

*Thu Oct 21 1999 Go taniguchi <taniguchi@arcbrain.co.jp>
- Rebuild for TurboLinuxJ

* Tue Sep 07 1999 Elliot Lee <sopwith@redhat.com>
- Updated RHL 6.1 package to libglade-0.5

* Sun Nov  1 1998 James Henstridge <james@daa.com.au>

- Updated the dependencies of the devel package, so users must have gtk+-devel.

* Sun Oct 25 1998 James Henstridge <james@daa.com.au>

- Initial release 0.0.1
#---------------------------------------------------------------
%prep
rm -rf ${RPM_BUILD_ROOT}

%setup -q -n %{name}-%{ver}


%build
libtoolize --copy --force
if [ ! -f configure ]; then
  CFLAGS="${RPM_OPT_FLAGS}" \
   ./autogen.sh --prefix=%{prefix} --enable-bonobo --with-bonobo-prefix=%{prefix}
else
  CFLAGS="${RPM_OPT_FLAGS}"  \
   ./configure --prefix=%{prefix} --enable-bonobo --with-bonobo-prefix=%{prefix}
fi
if [ "$SMP" != "" ]; then
  make MAKE="make -j$SMP"
else
  make
fi


%install
rm -rf ${RPM_BUILD_ROOT}
make prefix=${RPM_BUILD_ROOT}%{prefix} install
gzip -9f AUTHORS ChangeLog NEWS README COPYING

%clean
rm -rf ${RPM_BUILD_ROOT}


%post   -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-, root, root)
%doc AUTHORS.gz ChangeLog.gz NEWS.gz README.gz COPYING.gz
%{prefix}/bin/*
%{prefix}/lib/lib*.so.*

%files devel
%defattr(-, root, root)
%doc test-libglade.c
%doc *.glade
%doc %{prefix}/share/gnome/html/libglade/*
%{prefix}/lib/lib*.so
%{prefix}/lib/*a
%{prefix}/include/glade/*
%{prefix}/share/aclocal/*
%{prefix}/lib/libgladeConf.sh
