# Note that this is NOT a relocatable package
%define name	libglade
%define ver		0.12
%define rel     1
%define prefix	/usr


Summary: The libglade library for loading user interfaces.
Name: %name
Version: %ver
Release: %rel
Copyright: LGPL
Group: System Environment/Libraries
Source: ftp://ftp.daa.com.au/pub/james/gnome/libglade-%{ver}.tar.gz
BuildRoot: /var/tmp/%{name}-%{ver}-root
URL: http://www.daa.com.au/~james/gnome/
Serial: 2000040301
Vendor: TurboLinux Japan


%description
The libglade library allows you to load user interfaces which are
stored externally into your program. This allows for alteration of the
interface without recompilation of the program. The interfaces can
also be edited with GLADE. Currently libglade supports all of the
widgets in current releases, keyboard accelerators and automatic
signal connection.


%package devel
Summary: The files needed for libglade application development.
Group: Development/Libraries
Requires: libglade = %{ver} gtk+-devel libxml-devel
%description devel
The libglade-devel package contains the libraries, include files,
etc., that you can use to develop libglade applications.


%changelog
* Mon Apr  3 2000 Takeshi Aihana <aihana@turbolinux.co.jp>
- updated to 0.12

*Wed Jan 26 2000 Takeshi Aihana <aihana@turbolinux.co.jp>
- Rebuild for TurboLinux Workstation 6.0J

*Thu Oct 21 1999 Go taniguchi <taniguchi@arcbrain.co.jp>
- Rebuild for TurboLinuxJ

* Tue Sep 07 1999 Elliot Lee <sopwith@redhat.com>
- Updated RHL 6.1 package to libglade-0.5

* Sun Nov  1 1998 James Henstridge <james@daa.com.au>

- Updated the dependencies of the devel package, so users must have gtk+-devel.

* Sun Oct 25 1998 James Henstridge <james@daa.com.au>

- Initial release 0.0.1


%prep
%setup


%build
# Needed for snapshot releases.
if [ ! -f configure ]; then
  CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --prefix=%{prefix}
else
  CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix}
fi
if [ "$SMP" != "" ]; then
  make MAKE="make -j$SMP"
else
  make
fi


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{prefix} install


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README COPYING
%{prefix}/lib/lib*.so.*

%files devel
%defattr(-, root, root)
%doc test-libglade.c
%doc *.glade
%doc %{prefix}/share/gnome/html/libglade/*
%{prefix}/bin/*
%{prefix}/lib/lib*.so
%{prefix}/lib/*a
%{prefix}/include/glade
%{prefix}/share/aclocal/*
%{prefix}/lib/libgladeConf.sh

