%define	distrib	TurboLinux
%define	nam	libjpeg
%define	ver	6b
%define	rel	13
%define	__prefix	/usr
%define LIBVER 62.0.0

Summary: Library for handling different jpeg files.
Name: %{nam}
Version: %{ver}
Release: %{rel}
Group: System Environment/Libraries
License: Distributable
Source0: ftp://ftp.uu.net/graphics/jpeg/jpegsrc.v6b.tar.gz
Patch0: jpeg-6b-alpha.patch
PreReq: /sbin/ldconfig
Serial: 2001010801
Distribution: %{distrib}
BuildRoot: /var/tmp/%{name}-%{version}-root
PreReq: ldconfig
Prefix: %{__prefix}
#NoSource: 0


%description
This package is a library of functions that manipulate jpeg images, along
with simple clients for manipulating jpeg images.


%package devel
Summary: headers and static libraries for developing programs using libjpeg
Group: Development/Libraries
Requires: libjpeg


%description devel
This package is all you need to develop programs that manipulate jpeg
images, including documentation.


%changelog
* Mon Jan 8 2001 Roger Luethi <rluethi@turbolinux.com>
- 6b-13: S/390 fix works now without /usr/bin/which

* Thu Jan 4 2001 Roger Luethi <rluethi@turbolinux.com>
- 6b-12: libtool fix for S/390

* Tue Sep 19 2000 Hirofumi Takeda <takepin@turbolinux.co.jp>                  
- rewrite spec file for FHS 2.1                                              

* Thu Aug 10 2000 SL Baur  <steve@turbolinux.co.jp>
- fixes for new machines

* Wed Jun 7 2000 Hirofumi Takeda <takepin@turbolinux.co.jp>
- modified spec file

* Fri Jun  2 2000 Toshihiro Yamagishi<toshihiro@turbolinux.co.jp>
- fixed %build typo
- strip all command

* Mon Aug 03 1998 Scott Stone <sstone@turbolinux.com>
- Built on TL 2.0

* Tue Jun 09 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Thu Jun 04 1998 Marc Ewing <marc@redhat.com>
- up to release 4
- remove patch that set (improper) soname - libjpeg now does it itself

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri May 01 1998 Cristian Gafton <gafton@redhat.com>
- fixed build on manhattan

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to version 6b

* Wed Oct 08 1997 Donnie Barnes <djb@redhat.com>
- new package to remove jpeg stuff from libgr and put in it's own package


%prep
rm -rf $RPM_BUILD_ROOT


%setup -q -n jpeg-6b
%patch0 -p1


%build
%ifarch s390
ln -s `type -path libtool` libtool
%endif
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{__prefix} \
	--mandir=%{_mandir}/man1 \
	--enable-shared --enable-static
LIBTOOL=libtool make
LD_LIBRARY_PATH=$PWD make test


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{__prefix}/lib
mkdir -p $RPM_BUILD_ROOT%{__prefix}/include
mkdir -p $RPM_BUILD_ROOT%{__prefix}/bin
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
make prefix=$RPM_BUILD_ROOT%{__prefix} mandir=$RPM_BUILD_ROOT%{_mandir}/man1 install
strip -s $RPM_BUILD_ROOT%{__prefix}/bin/*


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc usage.doc
%{__prefix}/lib/*.so*
%{__prefix}/bin/*
%{_mandir}/*/*


%files devel
%defattr(-,root,root)
%doc libjpeg.doc coderules.doc
%{__prefix}/lib/*.a
%{__prefix}/lib/*.la
%{__prefix}/include/*.h
