%define name	libpng
%define ver	1.0.7
%define rel	1
%define prefix	/usr
%define LIBVER 2.%{ver}

Summary: A library of functions for manipulating PNG image format files.
Name: %{name}
Version: %{ver}
Release: %{rel}
Serial: 2000070500
Distribution: TurboLinux
Copyright: distributable
Group: System Environment/Libraries
Source: ftp://swrinde.nde.swri.edu/pub/png/src/%{name}-%{ver}.tar.gz
#Patch0: libpng-1.0.5-rhconf.patch
Buildroot: /var/tmp/%{name}-%{ver}-root


%description
The libpng package contains a library of functions for creating and
manipulating PNG (Portable Network Graphics) image format files.  PNG is
a bit-mapped graphics format similar to the GIF format.  PNG was created to
replace the GIF format, since GIF uses a patented data compression
algorithm.

Libpng should be installed if you need to manipulate PNG format image
files.


%package devel
Summary: Development tools for programs to manipulate PNG image format files.
Group: Development/Libraries
Requires: libpng = %{serial}:%{PACKAGE_VERSION}
Serial: 2000070500

%description devel
The libpng-devel package contains the header files and static libraries
necessary for developing programs using the PNG (Portable Network
Graphics) library.

If you want to develop programs which will manipulate PNG image format
files, you should install libpng-devel.  You'll also need to install the
libpng package.


%changelog
* Wed Jul 05 2000 Ken Smith <ken@turbolinux.co.jp>
- Modified spec file for centro
- eliminated the need for a patch through macro redefinitions passed to
  make

*Tue Feb 01 2000 Takeshi Aihana <aihana@turbolinux.co.jp>
- Rebuild for TurboLinux Workstation 6.0J

* Sun Nov 21 1999 Bernhard Rosenkrnzer <bero@redhat.com>
- 1.0.5
- some tweaks to spec file to make updating easier
- handle RPM_OPT_FLAGS

* Mon Sep 20 1999 Matt Wilson <msw@redhat.com>
- changed requires in libpng-devel to include serial
- corrected typo

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Sun Feb 07 1999 Michael Johnson <johnsonm@redhat.com>
- rev to 1.0.3

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- build for 6.0

* Wed Sep 23 1998 Cristian Gafton <gafton@redhat.com>
- we are Serial: 1 now because we are reverting the 1.0.2 version from 5.2
  beta to this prior one
- install man pages; set defattr defaults

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- devel subpackage moved to Development/Libraries

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.0.1
- added buildroot

* Tue Oct 14 1997 Donnie Barnes <djb@redhat.com>
- updated to new version
- spec file cleanups

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc


%prep
%setup
ln -s scripts/makefile.linux ./Makefile
#%patch0 -p1 -b .rhconf


%build
make prefix=/usr ZLIBLIB=/usr/lib ZLIBINC=/usr/include \
     CFLAGS="$RPM_OPT_FLAGS"


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man{3,5}
make install prefix=$RPM_BUILD_ROOT/usr
install -m 644 *.3 $RPM_BUILD_ROOT/usr/share/man/man3
install -m 644 *.5 $RPM_BUILD_ROOT/usr/share/man/man5


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc *.txt example.c README TODO CHANGES
/usr/lib/libpng.so.%{LIBVER}
/usr/share/man/man5/*

%files devel
%defattr(-,root,root)
/usr/include/*
/usr/lib/libpng.a
/usr/lib/libpng.so
/usr/share/man/man3/*

%clean
rm -rf $RPM_BUILD_ROOT
