%define distrib	TurboLinux
%define nam	librep
%define ver	0.13.3
%define rel	1


Summary: embeddable LISP environment
Name: %{nam}
Version: %{ver}
Release: %{rel}
Group: Development/Languages
License: GPL
Source0:  http://download.sourceforge.net/librep/librep-%{version}.tar.gz
Patch0: %{name}-0.11-gettext.patch
URL: http://librep.sourceforge.net
Serial: 2000120501
Distribution: %{distrib}
Buildroot: /var/tmp/%{name}-%{ver}-root
BuildPrereq: gmp-devel gdbm-devel readline-devel
PreReq: /sbin/install-info, ldconfig
#NoSource: 0


%description
This is a lightweight Lisp environment for UNIX. It contains a Lisp
interpreter, byte-code compiler and virtual machine. Applications may
use the Lisp interpreter as an extension language, or it may be used
for standalone scripts.

Originally inspired by Emacs Lisp, the language dialect combines many
of the elisp features while trying to remove some of the main
deficiencies, with features from Common Lisp and Scheme.


%package devel
Summary: librep include files and link libraries
Group: Development/Languages
Requires: %{name}


%description devel
Link libraries and C header files for librep development.


%changelog
* Tue Dec 5 2000 Hirofumi Takeda <takepin@turbolinux.co.jp>                  
- version 0.13.3

* Tue Oct 24 2000 Hirofumi Takeda <takepin@turbolinux.co.jp>                  
- version 0.13.2

* Fri Oct 20 2000 SL Baur  <steve@turbolinux.co.jp>
- spec file tweaks (use better macros, a la Red Hat)

* Mon Oct 16 2000 Hirofumi Takeda <takepin@turbolinux.co.jp>                  
- rewrite spec file for FHS 2.1                                              
- version 0.13.1

* Wed Aug  9 2000 SL Baur  <steve@turbolinux.co.jp>
- version 0.12.4

* Fri Jul  7 2000 SL Baur  <steve@turbolinux.co.jp>
- version 0.12

* Sat Apr 29 2000 Go Taniguchi <go@turbolinux.co.jp>
- version 0.11
- add gettext patch

* Wed Nov 10 1999 Michael K. Johnson <johnsonm@redhat.com>
- post{,un} use -p

* Mon Sep 13 1999 Aron Griffis <agriffis@bigfoot.com>
- 0.5 spec file update: added buildroot


%prep
rm -rf $RPM_BUILD_ROOT


%setup
%patch0 -p1 -b .gettext


%build
%configure --with-readline
make CFLAGS="$RPM_OPT_FLAGS" host_type=%{_target_platform}


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
make install \
    host_type=%{_target_platform} \
    DESTDIR=$RPM_BUILD_ROOT \
    aclocaldir=%{_datadir}/aclocal

gzip -9nf $RPM_BUILD_ROOT%{_infodir}/librep*


%post
/sbin/ldconfig
/sbin/install-info %{_infodir}/librep.info.gz %{_infodir}/dir


%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{_infodir}/librep.info.gz %{_infodir}/dir
fi


%postun -p /sbin/ldconfig


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc AUTHORS BUGS COPYING ChangeLog INSTALL NEWS README THANKS TODO TREE
%{_bindir}/rep
%{_bindir}/rep-remote
%{_libdir}/librep.so.*
%{_datadir}/rep/%{ver}
%{_libexecdir}/rep/%{ver}/%{_target_platform}
%{_infodir}/librep*


%files devel
%defattr(-,root,root)
%{_bindir}/rep-config
%{_bindir}/rep-xgettext
%{_bindir}/repdoc
%{_libdir}/librep.la
%{_libdir}/librep.so
%{_includedir}/rep.h
%{_includedir}/rep_*.h
%{_libexecdir}/rep/%{_target_platform}/install-aliases
%{_libexecdir}/rep/%{_target_platform}/libtool
%{_libexecdir}/rep/%{_target_platform}/rep_config.h
%{_libexecdir}/rep/%{_target_platform}/rules.mk
%{_datadir}/aclocal/rep.m4
