
%define nam	librep
%define ver	0.11.3
%define rel	1
%define distrib TurboLinux

Summary: embeddable LISP environment
Name: %{nam}
Version: %{ver}
Release: %{rel}
Serial: 2000042901
Copyright: GPL
Group: Development/Languages
Source: ftp://ftp.dcs.warwick.ac.uk/people/John.Harper/librep/librep-%{ver}.tar.gz
Patch: librep-0.11-gettext.patch
URL: http://www.dcs.warwick.ac.uk/~john/sw/librep.html
Buildroot: /var/tmp/%{nam}-root
BuildPrereq: gmp-devel gdbm-devel readline-devel
PreReq: /sbin/install-info
Distribution: %{distrib}

%description
This is a lightweight Lisp environment for UNIX. It contains a Lisp
interpreter, byte-code compiler and virtual machine. Applications may
use the Lisp interpreter as an extension language, or it may be used
for standalone scripts.

Originally inspired by Emacs Lisp, the language dialect combines many
of the elisp features while trying to remove some of the main
deficiencies, with features from Common Lisp and Scheme.

%package devel
Summary: librep include files and link libraries
Group: Development/Languages
Requires: %{nam}

%description devel
Link libraries and C header files for librep development.

%prep
%setup
%patch0 -p1 -b .gettext

%build
./configure --with-readline --prefix %{_prefix} %{_host}
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make install \
    prefix=$RPM_BUILD_ROOT%{_prefix} \
    aclocaldir=$RPM_BUILD_ROOT%{_prefix}/share/aclocal
gzip -9nf $RPM_BUILD_ROOT%{_prefix}/info/librep*

%post
/sbin/ldconfig
/sbin/install-info /usr/info/librep.info.gz /usr/info/dir

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete /usr/info/librep.info.gz /usr/info/dir
fi

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc NEWS README THANKS etc/TODO
%{_prefix}/bin/rep
%{_prefix}/bin/rep-remote
%{_prefix}/lib/librep.so.*
%{_prefix}/share/rep/%{ver}
%{_prefix}/libexec/rep/%{ver}/%{_host}
%{_prefix}/info/librep*

%files devel
%defattr(-,root,root)
%{_prefix}/bin/rep-config
%{_prefix}/bin/rep-xgettext
%{_prefix}/bin/repdoc
%{_prefix}/lib/librep.so
%{_prefix}/include/rep.h
%{_prefix}/include/rep_*.h
%{_prefix}/libexec/rep/%{_host}/libtool
%{_prefix}/libexec/rep/%{_host}/rules.mk
%{_prefix}/share/aclocal/rep.m4

%changelog
* Sat Apr 29 2000 Go Taniguchi <go@turbolinux.co.jp>
- version 0.11
- add gettext patch

* Wed Nov 10 1999 Michael K. Johnson <johnsonm@redhat.com>
- post{,un} use -p

* Mon Sep 13 1999 Aron Griffis <agriffis@bigfoot.com>
- 0.5 spec file update: added buildroot
