%define	distrib	TurboLinux
%define	nam	libtiff
%define	ver	3.5.5
%define	rel	1
%define	prefix	/usr
%define LIBVER  3.5

Summary: A library of functions for manipulating TIFF format image files.
Name: %{nam}
Version: %{ver}
Release: %{rel}
Group: System Environment/Libraries
Copyright: Distributable
Source0: http://www.libtiff.org/tiff-v%{version}.tar.gz
Patch0: libtiff-v3.5.5-shlib.patch
Patch1: libtiff-v3.4-arm.patch
Patch2: libtiff-v3.5.4-codecs.patch
Patch3: libtiff-v3.5.4-mandir.patch
URL: http://www.libtiff.org/
BuildRequires: zlib-devel zlib libjpeg-devel libjpeg
Serial: 2000061901
Distribution: %{distrib}
BuildRoot: /var/tmp/%{name}-%{version}-root
#NoSource: 0


%description
The libtiff package contains a library of functions for manipulating 
TIFF (Tagged Image File Format) image format files.  TIFF is a widely
used file format for bitmapped images.  TIFF files usually end in the
.tif extension and they are often quite large.

The libtiff package should be installed if you need to manipulate TIFF
format image files.


%package devel
Summary: Development tools for programs which will use the libtiff library.
Group: Development/Libraries
Requires: libtiff


%description devel
This package contains the header files and static libraries for developing
programs which will manipulate TIFF format image files using the libtiff
library.

If you need to develop programs which will manipulate TIFF format image
files, you should install this package.  You'll also need to install the
libtiff package.


%changelog
* Wed Jun 7 2000 Hirofumi Takeda <takepin@turbolinux.co.jp>
- modified spec file
- updated to 3.5.5
- link shared library against libjpeg and libz

*Tue Feb 01 2000 Takeshi Aihana <aihana@turbolinux.co.jp>
- Rebuild for TurboLinux Workstation 6.0J

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Wed Jan 13 1999 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Wed Jun 10 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Wed Jun 10 1998 Michael Fulbright <msf@redhat.com>
- rebuilt against fixed jpeg libs (libjpeg-6b)

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Oct 13 1997 Donnie Barnes <djb@redhat.com>
- new version to replace the one from libgr
- patched for glibc
- added shlib support


%prep
rm -rf $RPM_BUILD_ROOT


%setup -q -n tiff-v3.5.5
%patch0 -p1 -b .shlib
%patch1 -p1 -b .arm
%patch2 -p1 -b .codecs
%patch3 -p1 -b .mandir


%build
./configure --target=i586-pc-linux<< EOF
no
$RPM_BUILD_ROOT%{prefix}/bin
$RPM_BUILD_ROOT%{prefix}/lib
$RPM_BUILD_ROOT%{prefix}/include
$RPM_BUILD_ROOT%{prefix}/man
bsd-source-cat
yes
EOF
make OPTIMIZER="$RPM_OPT_FLAGS"


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix}/{lib,include,bin,man/man1,man/man3}
make install
cd libtiff
install -m644 libtiff.so.%{LIBVER} $RPM_BUILD_ROOT%{prefix}/lib

ln -sf libtiff.so.%{LIBVER} $RPM_BUILD_ROOT%{prefix}/lib/libtiff.so


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%{prefix}/lib/libtiff.so.%{LIBVER}
%{prefix}/bin/*


%files devel
%defattr(-,root,root)
%doc COPYRIGHT README TODO VERSION html/*
%{prefix}/lib/libtiff.so
%{prefix}/lib/libtiff.a
%{prefix}/include/*
%{prefix}/man/man1/*
%{prefix}/man/man3/*
