%define	distrib	TurboLinux
%define	nam	libungif
%define	ver	4.1.0b1
%define	libver	4.1.0
%define	rel	3
%define	prefix	/usr

Summary: A library for manipulating GIF format image files.
Name: %{nam}
Version: %{ver}
Release: %{rel}
Group: System Environment/Libraries
License: MIT
Source0: ftp://prtr-13.ucsc.edu/pub/libungif/%{name}-%{version}.tar.gz
Source1: ftp://prtr-13.ucsc.edu/pub/libungif/%{name}-3.1.0.tar.gz
Patch0: %{nam}-%{ver}-varargs.patch
URL:	http://prtr-13.ucsc.edu/~badger/software/libungif/
# The following libgif.so handles packages built against the
# previous broken giflib package
Provides: libgif.so.4 libgif.so giflib
Obsoletes: giflib
Serial: 2000091901
Distribution: %{distrib}
BuildRoot: /var/tmp/%{name}-%{version}-root
PreReq: ldconfig
#NoSource: 0
#NoSource: 1


%description
The libungif package contains a shared library of functions for loading
and saving GIF format image files.  The libungif library can load any
GIF file, but it will save GIFs only in uncompressed format (i.e., it
won't use the patented LZW compression used to save "normal" compressed
GIF files).

Install the libungif package if you need to manipulate GIF files.  You
should also install the libungif-progs package.


%package devel
Summary: Development tools for programs which will use the libungif library.
Group: Development/Libraries


%description devel
This package contains the static libraries, header files and documentation
necessary for development of programs that will use the libungif library
to load and save GIF format image files.

You should install this package if you need to develop programs which
will use the libungif library functions for loading and saving GIF format
image files.  You'll also need to install the libungif package.


%package progs
Summary: Programs for manipulating GIF format image files.
Group: Applications/Multimedia


%description progs
The libungif-progs package contains various programs for manipulating
GIF format image files.

Install this package if you need to manipulate GIF format image files.
You'll also need to install the libungif package.


%changelog
* Tue Sep 19 2000 Hirofumi Takeda <takepin@turbolinux.co.jp>                  
- rewrite spec file for FHS 2.1                                              

* Fri Aug 11 2000 SL Baur  <steve@turbolinux.co.jp>
- varargs.h was falsely dealt with

* Fri Jun 16 2000 Hirofumi Takeda <takepin@turbolinux.co.jp>
- modified spec file
- updated 4.1.0b1

* Mon Apr  3 2000 Toshihiro Yamagishi<toshihiro@turbolinux.co.jp>
- delete *.so files from devel package

* Tue Feb 01 2000 Takeshi Aihana <aihana@turbolinux.co.jp>
- Rebuild for TurboLinux Workstation 6.0J

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Sun Mar 14 1999 Preston Brown <pbrown@redhat.com>
- include libungif 4.1.0 as standard library, with 3.1.0 backwards compat.

* Mon Jan 11 1999 Cristian Gafton <gafton@redhat.com>
- build for 6.0
- call libtoolize to make sure it will build on the arm

* Sat Oct 31 1998 Jeff Johnson <jbj@redhat.com>
- package for RH 5.2.

* Mon Sep 14 1998 Arne Coucheron <arneco@online.no>
  [3.1.0-3]
- major cleanups and changes to the spec file

* Mon Sep 7 1998 Toshio Kuratomi <badger@prtr-13.ucsc.edu>
- Upgrade to version 3.1.0 (which incorporates the patches in 3.0-4)
- Updated Source: and URL: to reflect change in directories/pages.

* Tue May 26 1998 Dick Porter <dick@cymru.net>
- Fixed some "warning: cast to pointer from integer of different size" on Alpha

* Tue May 5 1998 Marc Ewing <marc@redhat.com>
- Made it obsolete giflib and provide libgif.so and giflib (previous
  giflib packages were built incorrectly and packages built against
  it require libgif.so but work fine with this package)
- cleaned buildroot
- Removed Toshio as packager so he doesn't get yelled at when Red Hat
  breaks it :-)

* Fri Apr 24 1998 Toshio Kuratomi <badger@prtr-13.ucsc.edu>
- Initial revision of libungif, a giflib derivative modified to not use LZW
  compression.


%prep
rm -rf $RPM_BUILD_ROOT


%setup -q -a 1
%patch0 -p1 -b .varargs


%build
libtoolize --copy --force
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix}
make all
cd %{name}-3.1.0
libtoolize --copy --force
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix}
make all


%install
rm -rf ${RPM_BUILD_ROOT}
cd $RPM_BUILD_DIR/%{name}-%{version}/%{name}-3.1.0/lib
make DESTDIR="${RPM_BUILD_ROOT}" install-strip
{
  cd ${RPM_BUILD_ROOT}%{prefix}/lib
  chmod +x libungif.so.3.1.0
  ln -sf libungif.so.3.1.0 ./libgif.so.3.1.0
  ln -sf libgif.so.3.1.0 ./libgif.so.3
  rm *.a
}

cd $RPM_BUILD_DIR/%{name}-%{version}
make DESTDIR="${RPM_BUILD_ROOT}" install-strip
{
  cd ${RPM_BUILD_ROOT}%{prefix}/lib
  chmod +x libungif.so.%{libver}
  ln -sf libungif.so.%{libver} ./libgif.so.%{libver}
  ln -sf libgif.so.%{libver} ./libgif.so.4
  ln -sf libgif.so.4 ./libgif.so
  ln -sf libungif.a ./libgif.a
}


%clean
rm -rf ${RPM_BUILD_ROOT}


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files 
%defattr(-,root,root)
%doc COPYING README UNCOMPRESSED_GIF NEWS ONEWS
%doc ChangeLog TODO BUGS AUTHORS
%{prefix}/lib/lib*.so.*


%files devel
%defattr(-,root,root)
%doc doc/*
%doc util/giffiltr.c
%doc util/gifspnge.c
%{prefix}/lib/lib*.a
%{prefix}/lib/lib*.la
%{prefix}/include/*.h


%files progs
%defattr(0755,root,root)
%{prefix}/bin/*
