%define name     	libxml
%define ver      	1.8.10
%define rel      	1
%define prefix   	/usr
%define	sysconfdir	/etc

Summary: libXML library
Name: %{name}
Version: %{ver}
Release: %{rel}
License: LGPL
Group: System Environment/Libraries
Source: ftp://ftp.gnome.org/pub/GNOME/stable/sources/libxml/%{name}-%{ver}.tar.gz
URL: http://rpmfind.net/veillard/XML/
Serial: 2000120698
Distribution: %{distrib}
BuildRoot: /var/tmp/%{name}-root
Provides: libxml.so.0
Prereq: /sbin/install-info
#NoSource: 0

%description
This library allows you to manipulate XML files.

%package devel
Summary: Libraries, includes, etc to develop libxml applications
Group: Development/Libraries
Requires: libxml

%description devel
Libraries, include files, etc you can use to develop libxml applications.

%changelog
* Thu Nov 30 2000 Kiichiro Kyle Naka <knaka@turbolinux.co.jp>
- 1.8.10-1

* Tue Oct  3 2000 Takeshi Aihana <aihana@turbolinux.co.jp>
- applied new SPEC rule

* Fri Jul 07 2000 Kiichiro Kele Naka <knaka@turbolinux.co.jp>
- Applied Centro rules

* Mon Apr 17 2000 Masaru Yokoi <masaru@turbolinux.co.jp>
- Updated to 1.8.7

*Wed Feb 02 2000 Takeshi Aihana <aihana@turbolinux.co.jp>
- Rebuild for TurboLinux Workstation 6.0J

* Thu Sep 23 1999 Daniel Veillard <Daniel.Veillard@w3.org>

- corrected the spec file alpha stuff
- switched to version 1.7.1
- Added validation, XPath, nanohttp, removed memory leaks
- Renamed CHAR to xmlChar

* Wed Jun  2 1999 Daniel Veillard <Daniel.Veillard@w3.org>

- Switched to version 1.1: SAX extensions, better entities support, lots of
  bug fixes.

* Sun Oct  4 1998 Daniel Veillard <Daniel.Veillard@w3.org>

- Added xml-config to the package

* Thu Sep 24 1998 Michael Fulbright <msf@redhat.com>

- Built release 0.30
#-------------------------------------------------------------
%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}-%{ver}

%build
if [ ! -f configure ]; then
  CFLAGS="$RPM_OPT_FLAGS" \
  ./autogen.sh --prefix=%{prefix} --sysconfdir=%{sysconfdir}
else
  CFLAGS="$RPM_OPT_FLAGS" \
  ./configure --prefix=%{prefix} --sysconfdir=%{sysconfdir}
fi
if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{prefix} install
#
# hack to get libxml.so.0 too !
# Get rid of it once deps to libxml.so.0 have disapeared.
#
if [ -f $RPM_BUILD_ROOT/%{prefix}/lib/libxml.so.1.8.6 ]
then
    (cd $RPM_BUILD_ROOT/%{prefix}/lib/ ; cp libxml.so.1.8.6 libxml.so.0.99.0 ; ln -sf libxml.so.0.99.0 libxml.so.0)
fi


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README COPYING COPYING.LIB TODO
%{prefix}/lib/lib*.so.*


%files devel
%defattr(-, root, root)
%{prefix}/bin/xml-config
%{prefix}/lib/lib*.so
%{prefix}/lib/*a
%{prefix}/lib/*.sh
%{prefix}/include/*
