#!/bin/sh

#
# make binary rpms from srpm.
#

# build swich
export XLOADIMAGE=yes
export SAWFISH=yes

TOPDIR=$(pwd)
TOOLS=${TOPDIR}/../mobile-linux/cache/tools			# mobile linux tools dir.
RPM_DIR=${TOPDIR}/rpms/stable.tested				# source rpms
RPM_BASE=${TOPDIR}/RPM						# rpm build dir top
BUILD_RPMS="${RPM_BASE}/RPMS/i386"				# rpm build dir i386
SPECS_DIR="${RPM_BASE}/SPECS"				# rpm build specs dir.
SOURCES_DIR="${RPM_BASE}/SOURCES"				# rpm build sources dir.

SRC_DIR="${RPM_DIR}"						# soucre rpms alias
PATCH_DIR="${TOPDIR}/patch"					# patch dir.

ORIGPATH=${PATH}						# OS original PATH
PATH=${ORIGPATH}:/sbin:${TOOLS}/bin:${TOOLS}/usr/X11R6/bin	# rpm buildtime PATH	

HOSTTYPE=i686-ml-linux
TZ=UTC

GCC_VERSION=2.91.66
GCC=${HOSTTYPE}-gcc
CC=${GCC}
CCX=${HOSTTYPE}-g++

CFLAGS="-Os"
LDFLAGS="-s"
CXXFLAGS="-Os"

export TOPDIR
export TOOLS
export RPM_DIR
export RPM_BASE
export BUILD_RPMS
export SPECS_DIR
export SOURCES_DIR
export SRC_DIR
export PATCH_DIR

export ORIGPATH
export PATH

export HOSTTYPE
export TZ
export GCC_VERSION
export GCC
export CC
export CCX
export CFLAGS
export LDFLAGS
export CXXFLAGS

[ -f log.build.bak ] && rm -f log.build.bak
[ -f log.build ] && mv log.build log.build.bak
./rpm.sh 
./xloadimage.sh
./sawfish.sh 2>&1 | tee log.build
