#!/bin/sh

LIBUNGIF_SRC="libungif-4.1.0-3"
GLIB_SRC="glib-1.2.7-1"
GLIB_SRC_UNTESTED="glib-1.2.8-2"
GTK_SRC="gtk+-1.2.8-1"
GTK_SRC_UNTESTED="gtk+-1.2.8-6"
IMLIB_SRC="imlib-1.9.8.1-3"
AUDIOFILE_SRC="audiofile-0.1.9-1"
ESOUND_SRC="esound-0.2.19-1"
LIBXML_SRC="libxml-1.8.10-1"
LIBGLADE_SRC="libglade-0.12-1"
PIXBUF_SRC="gdk-pixbuf-0.8.0-1"
PIXBUF_DEVEL_BIN="gdk-pixbuf-devel-0.8.0-1"
LIBPNG_SRC="libpng-1.0.7-1"
LIBJPEG_SRC="libjpeg-6b-9"
LIBTIFF_SRC="libtiff-3.5.5-1"
ZLIB_SRC="zlib-1.1.3-3"
GDBM_SRC="gdbm-1.8.0-1"
GMP_SRC="gmp-2.0.2-9"
READLINE_SRC="readline-4.0-6"
LIBREP_SRC="librep-0.11.3-1"
LIBREP_SRC_UNTESTED="librep-0.13.3-1"
REP_GTK_SRC="rep-gtk-0.10-1"
REP_GTK_SRC_UNTESTED="rep-gtk-0.15-1"
#REP_GTK_GNOME_SRC="rep-gtk-gnome-xxx"
REP_GTK_LIBGLADE_SRC="rep-gtk-libglade-0.8-1"
SAWFISH_SRC="sawmill-0.26-2"
SAWFISH_SRC_UNTESTED="sawfish-0.34-1"


if [ "$SAWFISH" = yes ]  ; then
# for libungif 
	if [ ! -f $BUILD_RPMS/$LIBUNGIF_SRC.i386.rpm ] ; then 
		rpm --rebuild $SRC_DIR/$LIBUNGIF_SRC.src.rpm
	fi

# for glib 
	if [ ! -f $BUILD_RPMS/$GLIB_SRC_UNTESTED.i386.rpm ] ; then 
		rpm --rebuild $SRC_DIR/../$GLIB_SRC_UNTESTED.src.rpm
	fi

# for gtk

	if [ ! -f $BUILD_RPMS/$GTK_SRC_UNTESTED.i386.rpm ] ; then
		rpm --rebuild $SRC_DIR/../$GTK_SRC_UNTESTED.src.rpm
	fi

# for imlib
	if [ ! -f $BUILD_RPMS/$IMLIB_SRC.i386.rpm ] ; then
		rpm --rebuild $SRC_DIR/$IMLIB_SRC.src.rpm
	fi

# for audiofile
	if [ ! -f $BUILD_RPMS/$AUDIOFILE_SRC.i386.rpm ] ; then
		rpm --rebuild $SRC_DIR/$AUDIOFILE_SRC.src.rpm
	fi

# for esound
	if [ ! -f $BUILD_RPMS/$ESOUND_SRC.i386.rpm ] ; then
		rpm --rebuild $SRC_DIR/$ESOUND_SRC.src.rpm
	fi

# for libxml
	if [ ! -f $BUILD_RPMS/$LIBXML_SRC.i386.rpm ] ; then
		rpm --rebuild $SRC_DIR/$LIBXML_SRC.src.rpm
	fi

# for libglade
	if [ ! -f $BUILD_RPMS/$LIBGLADE_SRC.i386.rpm ] ; then
		rpm --rebuild $SRC_DIR/$LIBGLADE_SRC.src.rpm
	fi

# for gdk-pixbuf
	if [ ! -f $BUILD_RPMS/$PIXBUF_SRC.i386.rpm ] ; then
		rpm --rebuild $SRC_DIR/$PIXBUF_SRC.src.rpm
	fi

# for libpng
	if [ ! -f $BUILD_RPMS/$LIBPNG_SRC.i386.rpm ] ; then
		rpm --rebuild $SRC_DIR/$LIBPNG_SRC.src.rpm
	fi

# for libjpeg
	if [ ! -f $BUILD_RPMS/$LIBJPEG_SRC.i386.rpm ] ; then
		rpm --rebuild $SRC_DIR/$LIBJPEG_SRC.src.rpm
	fi

# for libtiff
	if [ ! -f $BUILD_RPMS/$LIBTIFF_SRC.i386.rpm ] ; then
#		rpm --rebuild $SRC_DIR/$LIBTIFF_SRC.src.rpm
		rpm -ivvh $SRC_DIR/$LIBTIFF_SRC.src.rpm
# need patch libtiff. because conflict $ROOT variable
		cd $SPECS_DIR
		patch < $PATCH_DIR/libtiff.spec.patch
		cp -p $PATCH_DIR/libtiff-v3.5.5-mlinux.patch $SOURCES_DIR
		rpm -bb --nodeps libtiff.spec
		cd $TOPDIR
	fi

# for zlib
	if [ ! -f $BUILD_RPMS/$ZLIB_SRC.i386.rpm ] ; then
		rpm --rebuild $SRC_DIR/$ZLIB_SRC.src.rpm
	fi

# for gdbm
	if [ ! -f $BUILD_RPMS/$GDBM_SRC.i386.rpm ] ; then
		rpm -vv --rebuild $SRC_DIR/$GDBM_SRC.src.rpm
	fi

# for gmp
	if [ ! -f $BUILD_RPMS/$GMP_SRC.i386.rpm ] ; then
		rpm --rebuild $SRC_DIR/$GMP_SRC.src.rpm
	fi

# for readline
	if [ ! -f $BUILD_RPMS/$READLINE_SRC.i386.rpm ] ; then
		rpm --rebuild $SRC_DIR/$READLINE_SRC.src.rpm
	fi

# for librep
	if [ ! -f $BUILD_RPMS/$LIBREP_SRC.i386.rpm ] ; then
		rpm -vv --rebuild $SRC_DIR/$LIBREP_SRC.src.rpm
	fi

# for rep-gtk
	if [ ! -f $BUILD_RPMS/$REP_GTK_SRC_UNTESTED.i386.rpm ] ; then
		rpm -vv --rebuild $SRC_DIR/../$REP_GTK_SRC_UNTESTED.src.rpm
	fi

# for sawfish
	if [ ! -f $BUILD_RPMS/$SAWFISH_SRC_UNTESTED.i386.rpm ] ; then
		rpm --rebuild $SRC_DIR/../$SAWFISH_SRC_UNTESTED.src.rpm
	fi
fi
