%define	distrib	TurboLinux
%define	nam	readline
%define	ver	4.1
%define	rel	4
%define	prefix	/usr

Summary: Library for reading lines from a terminal
Name: %{nam}
Version: %{ver}
Release: %{rel}
Group: System Environment/Libraries
License: GPL
Source: ftp://ftp.gnu.org/gnu/readline/readline-%{version}.tar.gz
Serial: 2001010201
Distribution: %{distrib}
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-root
Prereq: /sbin/install-info /sbin/ldconfig
#NoSource: 0


%description
The "readline" library will read a line from the terminal and return it,
allowing the user to edit the line with the standard emacs editing keys.
It allows the programmer to give the user an easier-to-use and more
intuitive interface.


%package devel
Summary: file for developing programs that use the readline library
Group: Development/Libraries
Requires: readline = %{PACKAGE_VERSION}


%description devel
The "readline" library will read a line from the terminal and return it,
using prompt as a prompt.  If prompt is null, no prompt is issued.  The
line returned is allocated with malloc(3), so the caller must free it when
finished.  The line returned has the final newline removed, so only the
text of the line remains.


%changelog
* Tue Jan 2 2001 Roger Luethi <rluethi@turbolinux.com>
- 4.1-4: libtoolized build

* Tue Sep 19 2000 Hirofumi Takeda <takepin@turbolinux.co.jp>                  
- rewrite spec file for FHS 2.1                                              

* Wed Jun 7 2000 Hirofumi Takeda <takepin@turbolinux.co.jp>
- modified spec file

* Sat Mar 25 2000 Hirofumi Takeda <takepin@urbolinux.co.jp>
- updated to 4.1

* Wed Jul 28 1999 Anh Vo <anhvo@turbolinux.com>
- Added %ifarch axp part
- Built for TL

* Sat Feb 20 1999  Ian Macdonald <ianmacd@xs4all.nl>
- updated to 4.0
- removed patch

* Sun Jul 26 1998 Jeff Johnson <jbj@redhat.com>
- updated to 2.2.1

* Wed May 06 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed May 06 1998 Cristian Gafton <gafton@redhat.com>
- don't package /usr/info/dir

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- devel package moved to Development/Libraries

* Tue Apr 21 1998 Cristian Gafton <gafton@redhat.com>
- updated to 2.2

* Tue Oct 14 1997 Donnie Barnes <djb@redhat.com>
- spec file cleanups

* Fri Oct 10 1997 Erik Troan <ewt@redhat.com>
- added proper sonames

* Tue Jul 08 1997 Erik Troan <ewt@redhat.com>
- updated to readline 2.1

* Tue Jun 03 1997 Erik Troan <ewt@redhat.com>
- built against glibc


%prep
rm -rf $RPM_BUILD_ROOT


%setup -q


%build
libtoolize --copy --force
./configure --prefix=%{prefix} --infodir=%{_infodir} --mandir=%{_mandir}

%ifarch axp
RPM_OPT_FLAGS="$RPM_OPT_FLAGS -DTERMIOS_TTY_DRIVER"
%endif

make CFLAGS="$RPM_OPT_FLAGS" static shared


%install
rm -rf $RPM_BUILD_ROOT
make install install-shared prefix=$RPM_BUILD_ROOT%{prefix} \
	infodir=$RPM_BUILD_ROOT%{_infodir} mandir=$RPM_BUILD_ROOT%{_mandir}

# Fix the fscking symlinks because make install screws it up
( cd $RPM_BUILD_ROOT%{prefix}/lib
  rm -f libreadline.so libreadline.so.4
  rm -f libhistory.so libhistory.so.4
  ln -sf libreadline.so.4.1 libreadline.so
  ln -sf libreadline.so.4.1 libreadline.so.4
  ln -sf libhistory.so.4.1 libhistory.so
  ln -sf libhistory.so.4.1 libhistory.so.4
  cd $RPM_BUILD_ROOT%{_infodir}
  gzip -9nf *info*
)
 
gzip -9rf $RPM_BUILD_ROOT%{_mandir} || true


%clean
#rm -rf $RPM_BUILD_ROOT


%post
/sbin/ldconfig
/sbin/install-info %{_infodir}/history.info.gz %{_infodir}/dir
/sbin/install-info %{_infodir}/readline.info.gz %{_infodir}/dir


%postun -p /sbin/ldconfig


%preun
if [ $1 = 0 ]; then
   /sbin/install-info --delete %{_infodir}/history.info.gz %{_infodir}/dir
   /sbin/install-info --delete %{_infodir}/readline.info.gz %{_infodir}/dir
fi


%files
%defattr(-,root,root)
%doc CHANGELOG CHANGES COPYING INSTALL MANIFEST README USAGE
%{_mandir}/man*/*
%{_infodir}/*info*
%{prefix}/lib/lib*.so.*


%files devel
%defattr(-,root,root)
%{prefix}/include/readline/*
%{prefix}/lib/lib*.a
%{prefix}/lib/lib*.so
