Summary: Library for reading lines from a terminal
Name: readline
Version: 4.0
Release: 6
Copyright: GPL
Group: Libraries
Source: ftp://prep.ai.mit.edu/pub/gnu/readline-%{version}.tar.gz
Buildroot: /var/tmp/readline-root
Prefix: /usr
Prereq: /sbin/install-info /sbin/ldconfig

%description
The "readline" library will read a line from the terminal and return it,
allowing the user to edit the line with the standard emacs editing keys.
It allows the programmer to give the user an easier-to-use and more
intuitive interface.

%package devel
Summary: file for developing programs that use the readline library
Group: Development/Libraries
Requires: readline = %{PACKAGE_VERSION}

%description devel
The "readline" library will read a line from the terminal and return it,
using prompt as a prompt.  If prompt is null, no prompt is issued.  The
line returned is allocated with malloc(3), so the caller must free it when
finished.  The line returned has the final newline removed, so only the
text of the line remains.

%prep
%setup -q

%build
./configure --prefix=/usr --infodir=\${prefix}/share/info \
	--mandir=\${prefix}/share/man

%ifarch axp
RPM_OPT_FLAGS="$RPM_OPT_FLAGS -DTERMIOS_TTY_DRIVER"
%endif

make CFLAGS="$RPM_OPT_FLAGS" static shared

%install
rm -rf $RPM_BUILD_ROOT
make install install-shared prefix=$RPM_BUILD_ROOT/usr

# Fix the fscking symlinks because make install screws it up
( cd $RPM_BUILD_ROOT/usr/lib
  rm -f libreadline.so libreadline.so.4
  rm -f libhistory.so libhistory.so.4
  ln -sf libreadline.so.4.0 libreadline.so
  ln -sf libreadline.so.4.0 libreadline.so.4
  ln -sf libhistory.so.4.0 libhistory.so
  ln -sf libhistory.so.4.0 libhistory.so.4
  cd ../share/info
  gzip -9nf *info*
  rm dir
)
 
gzip -9rf $RPM_BUILD_ROOT/usr/share/man || true

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
/sbin/install-info /usr/share/info/history.info.gz /usr/share/info/dir
/sbin/install-info /usr/share/info/readline.info.gz /usr/share/info/dir

%postun -p /sbin/ldconfig

%preun
if [ $1 = 0 ]; then
   /sbin/install-info --delete /usr/share/info/history.info.gz /usr/share/info/dir
   /sbin/install-info --delete /usr/share/info/readline.info.gz /usr/share/info/dir
fi

%files
%defattr(-,root,root)
/usr/share/man/man*/*
/usr/share/info/*info*
/usr/lib/lib*.so.*

%files devel
%defattr(-,root,root)
/usr/include/readline/*
/usr/lib/lib*.a
/usr/lib/lib*.so

%changelog
* Wed Jul 28 1999 Anh Vo <anhvo@turbolinux.com>
- Added %ifarch axp part
- Built for TL

* Sat Feb 20 1999  Ian Macdonald <ianmacd@xs4all.nl>
- updated to 4.0
- removed patch

* Sun Jul 26 1998 Jeff Johnson <jbj@redhat.com>
- updated to 2.2.1

* Wed May 06 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed May 06 1998 Cristian Gafton <gafton@redhat.com>
- don't package /usr/info/dir

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- devel package moved to Development/Libraries

* Tue Apr 21 1998 Cristian Gafton <gafton@redhat.com>
- updated to 2.2

* Tue Oct 14 1997 Donnie Barnes <djb@redhat.com>
- spec file cleanups

* Fri Oct 10 1997 Erik Troan <ewt@redhat.com>
- added proper sonames

* Tue Jul 08 1997 Erik Troan <ewt@redhat.com>
- updated to readline 2.1

* Tue Jun 03 1997 Erik Troan <ewt@redhat.com>
- built against glibc
