
%define distrib TurboLinux
%define name	rep-gtk
%define ver	0.10
%define rel	1
%define prefix	/usr

Summary: GTK+ binding for librep Lisp environment
Name: %{name}
Version: %{ver}
Release: %{rel}
Group: Development/Languages
Copyright: GPL
Source0: %{name}-%{ver}.tar.gz
#Patch0: %{name}-0.9-rep-gtk.h-inc-config.h.patch
URL: http://www.dcs.warwick.ac.uk/~john/sw/rep-gtk.html
Serial: 2000060201
Distribution: %{distrib}
Buildroot: /var/tmp/%{name}-%{ver}-root
Requires: librep >= 0.11, gtk+ >= 1.2
Prefix: %{prefix}

%description
This is a binding of GTK+ for the librep Lisp interpreter. It is based
on Marius Vollmer's guile-gtk package (initially version 0.15, updated
to 0.17), with a new glue-code generator.

%package libglade
Summary: librep binding for the libglade library for loading user interfaces.
Group: Development/Languages
Requires: %{name}, libglade

%description libglade
This is a binding of libglade for the librep Lisp interpreter. libglade
allows applications to dynamically load XML descriptions of GTK+ widget
hierarchies. These hierarchies may be created by the GLADE GUI builder.

%package gnome
Summary: GNOME binding for librep
Group: Development/Languages
Requires: %{name}, gnome-libs

%description gnome
This is a binding of the various GNOME libraries for the librep Lisp
interpreter. It include support for the basic GNOME functions, the
GNOME user interface widgets, and the GNOME Canvas architecture.

%prep
%setup -q

%build
./configure --prefix %{prefix} %{_host}
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make install \
    installdir=$RPM_BUILD_ROOT%{prefix}/libexec/rep/%{_host}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README README.guile-gtk ChangeLog gtk-1.2.defs gdk-1.2.defs
%{prefix}/libexec/rep/%{_host}/sgtk-types.so*
%{prefix}/libexec/rep/%{_host}/sgtk-types.la
%{prefix}/libexec/rep/%{_host}/gtk.so*
%{prefix}/libexec/rep/%{_host}/gtk.la

%files libglade
%defattr(-,root,root)
%doc libglade.defs examples/test-libglade examples/simple.glade
%doc examples/rep-ui examples/rep-ui.glade
%{prefix}/libexec/rep/%{_host}/libglade.so*
%{prefix}/libexec/rep/%{_host}/libglade.la

%files gnome
%defattr(-,root,root)
%doc gnome*.defs examples/gnome-test examples/canvas-test
%{prefix}/libexec/rep/%{_host}/gnome*.so*
%{prefix}/libexec/rep/%{_host}/gnome*.la

%changelog
* Fri Jun  2 2000 SL Baur  <steve@turbolinux.co.jp>
- version 0.10

* Sat Apr 29 2000 Go Taniguchi <go@turbolinux.co.jp>
- version 0.9
- compile error fix, rep-gtk.h include config.h

* Fri Sep 17 1999 John Harper <john@dcs.warwick.ac.uk>
- specify installdir when installing

* Tue Sep 14 1999 Aron Griffis <agriffis@bigfoot.com>
- 0.4 spec file update: added buildroot
