%define distrib TurboLinux
%define nam	rep-gtk
%define ver	0.15
%define rel	1
%define prefix	/usr


Summary: GTK+ binding for librep Lisp environment
Name: %{nam}
Version: %{ver}
Release: %{rel}
Group: Development/Languages
License: GPL
Source0: http://download.sourceforge.net/rep-gtk/rep-gtk-%{version}.tar.gz
Patch0: %{nam}-0.14-librep-0.13.1.patch
URL: http://rep-gtk.sourceforge.net/
Serial: 2000120501
Distribution: %{distrib}
Buildroot: /var/tmp/%{name}-%{version}-root
BuildPreReq: gnome-libs-devel gdk-pixbuf-devel libglade-devel librep-devel
Requires: librep >= 0.13, gtk+ >= 1.2
#NoSource: 0


%description
This is a binding of GTK+ for the librep Lisp interpreter. It is based
on Marius Vollmer's guile-gtk package (initially version 0.15, updated
to 0.17), with a new glue-code generator.


%package libglade
Summary: librep binding for the libglade library for loading user interfaces.
Group: Development/Languages
Requires: %{name}, libglade


%description libglade
This is a binding of libglade for the librep Lisp interpreter. libglade
allows applications to dynamically load XML descriptions of GTK+ widget
hierarchies. These hierarchies may be created by the GLADE GUI builder.


%package gnome
Summary: GNOME binding for librep
Group: Development/Languages
Requires: %{name}, gnome-libs


%description gnome
This is a binding of the various GNOME libraries for the librep Lisp
interpreter. It include support for the basic GNOME functions, the
GNOME user interface widgets, and the GNOME Canvas architecture.


%changelog
* Tue Dec 5 2000 Hirofumi Takeda <takepin@turbolinux.co.jp>                  
- version 0.15

* Fri Oct 20 2000 SL Baur  <steve@turbolinux.co.jp>
- spec file fixes
- add patch for building with newest librep

* Mon Oct 16 2000 Hirofumi Takeda <takepin@turbolinux.co.jp>                  
- version 0.14

* Wed Aug  9 2000 SL Baur  <steve@turbolinux.co.jp>
- version 0.13a

* Fri Jul  7 2000 SL Baur  <steve@turbolinux.co.jp>
- version 0.12

* Fri Jun  2 2000 SL Baur  <steve@turbolinux.co.jp>
- version 0.10

* Sat Apr 29 2000 Go Taniguchi <go@turbolinux.co.jp>
- version 0.9
- compile error fix, rep-gtk.h include config.h

* Fri Sep 17 1999 John Harper <john@dcs.warwick.ac.uk>
- specify installdir when installing

* Tue Sep 14 1999 Aron Griffis <agriffis@bigfoot.com>
- 0.4 spec file update: added buildroot


%prep
rm -rf $RPM_BUILD_ROOT


%setup -q
%patch0 -p1

%build
%configure
make CFLAGS="$RPM_OPT_FLAGS -I%{_prefix}/libexec/rep/%{_target_platform}" \
	repexecdir=%{_libexecdir}/rep/%{_target_platform}


%install
rm -rf $RPM_BUILD_ROOT
make install \
    installdir=$RPM_BUILD_ROOT%{prefix}/libexec/rep/%{_target_platform}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc AUTHORS BUGS COPYING ChangeLog INSTALL TODO
%doc README README.gtk-defs README.guile-gtk gtk.defs gdk.defs
%{_libexecdir}/rep/%{_target_platform}/gui/gtk
%{_libexecdir}/rep/%{_target_platform}/gui/gtk.*
%{_libexecdir}/rep/%{_target_platform}/sgtk-types.*
%{_libexecdir}/rep/%{_target_platform}/gtk.*


%files libglade
%defattr(-,root,root)
%doc libglade.defs examples/test-libglade examples/simple.glade
%doc examples/rep-ui examples/rep-ui.glade
%{_libexecdir}/rep/%{_target_platform}/libglade.*


%files gnome
%defattr(-,root,root)
%doc gnome*.defs examples/gnome-test examples/canvas-test
%{_libexecdir}/rep/%{_target_platform}/gui/gnome
%{_libexecdir}/rep/%{_target_platform}/gui/gnome.*
%{_libexecdir}/rep/%{_target_platform}/gnome*.*
%{_libexecdir}/rep/%{_target_platform}/libglade-gnome.*
%{_libexecdir}/rep/%{_target_platform}/gdk-pixbuf.*
