%define nam	sawfish
%define ver	0.34
%define rel	1
%define prefix	/usr


Summary: a highly configurable and extensible X11 window manager
Name: %{nam}
Version: %{ver}
Release: %{rel}
Group: User Interface/Desktops
License: GPL
Source0: http://download.sourceforge.net/sawmill/%{name}-%{version}.tar.gz
Source1: sawfish-20001011-ja.po
Source2: sawfish-meta-properties.desktop

URL: http://sawmill.sourceforge.net/
Serial: 2000120501
Distribution: %{distrib}
Buildroot: /var/tmp/%{name}-%{version}-root
Requires: librep >= 0.13, rep-gtk >= 0.15, rep-gtk-gnome
BuildPrereq: rep-gtk-libglade control-center-devel gmp-devel texinfo
PreReq: /sbin/install-info
Obsoletes: sawmill sawmill-gnome sawfish-gnome
Prefix: %{prefix}
#NoSource: 0


%description
Sawfish is an extensible window manager which uses a Lisp-based
scripting language.  All window decorations are configurable and the
basic idea is to have as much user-interface policy as possible
controlled through the Lisp language.  Configuration can be
accomplished by writing Lisp code in a personal .sawfishrc file, or
using a GTK+ interface.  Sawfish is mostly GNOME compliant.


%package themer
Summary: A GUI for creating sawfish window manager themes.
Group: User Interface/Desktops
Requires: %{name} = %{version}, rep-gtk-libglade
Obsoletes: sawmill-themer


%description themer
The sawfish-themer package contains an optional theme builder for the
sawfish window manager. sawfish-themer allows static window themes to
be created and edited in a graphical environment.


%changelog
* Tue Dec 5 2000 Hirofumi Takeda <takepin@turbolinux.co.jp>                  
- update to 0.34

* Fri Oct 20 2000 Hirofumi Takeda <takepin@turbolinux.co.jp>                  
- update to 0.32
- Separated extra themes to sawfish-extra-themes packages.
- rewrite spec file for FHS 2.1                                              

* Tue Oct 10 2000 Takeshi Aihana <aihana@turbolinux.co.jp>
- add patch for num of default workspace

* Wed Aug  9 2000 SL Baur  <steve@turbolinux.co.jp>
- update to 0.30.3
- fix brokenness of 0.29

* Fri Jul  7 2000 SL Baur  <steve@turbolinux.co.jp>
- update to 0.29
- fix spec file
- move info files to /usr/share/info

* Thu May 11 2000 Hirofumi Takeda <takepin@turbolinux.co.jp>
- update 0.27.1
- package name changed sawmill -> sawfish
- update ja.po

* Tue May 2 2000 Hirofumi Takeda <takepin@turbolinux.co.jp>
- add 10 themes
- add README.ja of themes
- fix ja.po

* Sat Apr 29 2000 Go Taniguchi <go@turbolinux.co.jp>
- update 0.26
- fix turbo patch
- add 10 themes
- add sound-properties.desktop
- fix ja.po

* Fri Feb 18 2000 Hirofumi Takeda <takepin@turbolinux.co.jp>
- imported from Kondara MNU/Linux
- added more japanese msgstr of sawmill-0.24-ja.po

* Fri Sep 17 1999 John Harper <john@dcs.warwick.ac.uk>
- don't patch the Makefile

* Tue Sep 14 1999 Aron Griffis <agriffis@bigfoot.com>
- 0.6 spec file update: added buildroot


%prep
rm -rf $RPM_BUILD_ROOT


%setup
cp %{SOURCE1} po/ja.po
cp %{SOURCE2} capplet/desktop-entries/meta-properties.desktop


%build
CFLAGS="$RPM_OPT_FLAGS" \
./configure --with-readline --with-gnome-prefix=%{prefix} --prefix %{prefix}
make host_type=%{_host}


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/gnome/wm-properties
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/control-center
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/gnome/apps/Settings
make bindir=%{prefix}/bin DESTDIR=$RPM_BUILD_ROOT install
mv $RPM_BUILD_ROOT%{prefix}/info $RPM_BUILD_ROOT%{prefix}/share
gzip -9nf $RPM_BUILD_ROOT%{_infodir}/sawfish*

(
cd $RPM_BUILD_ROOT%{prefix}/share/sawfish
ln -s %{version}/themes .
)

%post
/sbin/install-info %{_infodir}/sawfish.info.gz %{_infodir}/dir


%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{_infodir}/sawfish.info.gz %{_infodir}/dir
fi


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root,root)
%doc AUTHORS BUGS COPYING ChangeLog FAQ NEWS README THANKS TODO po/sawfish.pot
%{prefix}/bin/sawfish
%{prefix}/bin/sawfish-client
%{prefix}/bin/sawfish-ui
%{prefix}/bin/sawfish-capplet
%{prefix}/share/sawfish/%{version}
%{prefix}/share/control-center/Sawfish
%{prefix}/share/gnome/apps/Settings/Sawfish
%{prefix}/share/gnome/wm-properties/Sawfish.desktop
%{prefix}/share/pixmaps/*.png
%dir %{prefix}/share/sawfish
%{prefix}/libexec/sawfish
%{prefix}/libexec/rep
%{_infodir}/sawfish*


%files themer
%defattr(-, root,root)
%{prefix}/bin/sawfish-themer
%{prefix}/share/sawfish/%{version}/themer.glade
