
%define nam	sawmill
%define ver	0.26
%define rel	2
%define distrib TurboLinux

Summary: a highly configurable and extensible X11 window manager
Name: %{nam}
Version: %{ver}
Release: %{rel}
Serial: 2000050201
Requires: librep >= 0.11, rep-gtk >= 0.8
Copyright: GPL
Group: User Interface/Desktops
Source: ftp://ftp.dcs.warwick.ac.uk/people/John.Harper/sawmill/sawmill-%{ver}.tar.gz
Source1: sawmill-0.26-ja.po
Source2: sawmill-edgeflipping-properties.desktop
Source3: sawmill-tooltips-properties.desktop
Source4: sawmill-sound-properties.desktop
Source5: sawmill-themes-README.ja.tar.gz

Source10: AquaX-0.21.tar.gz
Source11: Brushed_20Metal_20II-0.22.tar.gz
Source12: Platinum-0.17.tar.gz
Source13: QN-X11-0.25.2.tar.gz
Source14: SawTech-Hydro-0.22.tar.gz
Source15: blue-steel-0.17.tar.gz
Source16: greyNeOn-0.25.2.tar.gz
Source17: sawdouf-0.25.2.tar.gz
Source18: spiffMILL-0.25.2.tar.gz
Source19: x17-0.25.2.tar.gz
Source20: Chromium.tar.gz
Source21: CoolClean.tar.gz
Source22: SawBox.tar.gz
Source23: Smalldome.tar.gz
Source24: Step.tar.gz
Source25: TigDomeII.tar.gz
Source26: blue-steel.tar.gz
Source27: iron.tar.gz
Source28: SawBoxL.tar.gz
Source29: LockSmith.tar.gz

Patch0: sawmill-0.26.patch
Patch1: sawmill-0.26-turbo-20000429.patch
Patch2: sawmill-0.26-addtheme.patch
Patch3: sawmill-0.26-desktop-misc.patch

URL: http://www.dcs.warwick.ac.uk/~john/sw/sawmill/
Buildroot: /var/tmp/%{nam}-root
BuildPrereq: rep-gtk-libglade control-center-devel gmp-devel
PreReq: /sbin/install-info
Distribution: %{distrib}

%description
This is an extensible window manager using a LISP-based scripting
language--all window decorations are configurable, the basic idea is to
have as much user-interface policy as possible controlled through the
Lisp language.

All configuration may be performed through a GTK interface; sawmill is
mostly-GNOME compliant.

%package gnome
Summary: GNOME support for sawmill
Group: User Interface/Desktops
Requires: %{nam}

%description gnome
Optional GNOME support for sawmill. Includes a wm-entries spec, and a
control center applet

%package themer
Summary: GUI for creating sawmill themes
Group: User Interface/Desktops
Requires: %{nam}, rep-gtk-libglade

%description themer
Optional theme builder for sawmill. Allows static window themes to be
created/edited in a graphical environment.

%prep
%setup -a 5
cp %{SOURCE1} po/ja.po
cp %{SOURCE2} capplet/desktop-entries/edgeflipping-properties.desktop
cp %{SOURCE3} capplet/desktop-entries/tooltips-properties.desktop
cp %{SOURCE4} capplet/desktop-entries/sound-properties.desktop
cd themes
tar zxf %{SOURCE10}
tar zxf %{SOURCE11}
tar zxf %{SOURCE12}
tar zxf %{SOURCE13}
tar zxf %{SOURCE14}
tar zxf %{SOURCE15}
tar zxf %{SOURCE16}
tar zxf %{SOURCE17}
tar zxf %{SOURCE18}
tar zxf %{SOURCE19}
tar zxf %{SOURCE20}
tar zxf %{SOURCE21}
tar zxf %{SOURCE22}
tar zxf %{SOURCE23}
tar zxf %{SOURCE24}
tar zxf %{SOURCE25}
tar zxf %{SOURCE26}
tar zxf %{SOURCE27}
tar zxf %{SOURCE28}
tar zxf %{SOURCE29}
#chown -Rhf root .
#chgrp -Rhf root .
chmod -Rf a+rX,g-w,o-w .
%patch2 -p0 -b .addtheme
cd ..
%patch0 -p1 -b .fix
%patch1 -p1 -b .TL
%patch3 -p1 -b .misc

%ifarch i386
%define _host i386-pc-linux-gnu
%endif

%build
./configure --enable-capplet --enable-themer --with-readline --with-gnome-prefix=%{_prefix} --prefix %{_prefix} %{_host}
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}/share/gnome/wm-properties
mkdir -p $RPM_BUILD_ROOT%{_prefix}/share/control-center
mkdir -p $RPM_BUILD_ROOT%{_prefix}/share/gnome/apps/Settings
make prefix=$RPM_BUILD_ROOT%{_prefix} install
gzip -9nf $RPM_BUILD_ROOT%{_prefix}/info/sawmill*
strip $RPM_BUILD_ROOT%{_prefix}/bin/{sawmill,sawmill-client}

%post
/sbin/install-info /usr/info/sawmill.info.gz /usr/info/dir

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete /usr/info/sawmill.info.gz /usr/info/dir
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root,root)
%doc README NEWS FAQ THANKS TODO po/sawmill.pot
%{_prefix}/bin/sawmill
%{_prefix}/bin/sawmill-client
%{_prefix}/bin/sawmill-ui
%{_prefix}/share/sawmill/%{ver}
%dir %{_prefix}/share/sawmill
%{_prefix}/libexec/sawmill
%{_prefix}/info/sawmill*

%files gnome
%defattr(-, root,root)
%{_prefix}/bin/sawmill-capplet
%{_prefix}/share/control-center/Sawmill
%{_prefix}/share/gnome/apps/Settings/Sawmill
%{_prefix}/share/gnome/wm-properties/Sawmill.desktop

%files themer
%defattr(-, root,root)
%{_prefix}/bin/sawmill-themer
%{_prefix}/share/sawmill/%{ver}/themer.glade

%changelog
* Thu May 2 2000 Hirofumi Takeda <takepin@turbolinux.co.jp>
- add 10 themes
- add README.ja of themes
- fix ja.po

* Sat Apr 29 2000 Go Taniguchi <go@turbolinux.co.jp>
- update 0.26
- fix turbo patch
- add 10 themes
- add sound-properties.desktop
- fix ja.po

* Fri Feb 18 2000 Hirofumi Takeda <takepin@turbolinux.co.jp>
- imported from Kondara MNU/Linux
- added more japanese msgstr of sawmill-0.24-ja.po

* Fri Sep 17 1999 John Harper <john@dcs.warwick.ac.uk>
- don't patch the Makefile

* Tue Sep 14 1999 Aron Griffis <agriffis@bigfoot.com>
- 0.6 spec file update: added buildroot
