;; sawmill-default.jl -- default user startup
;; $Id: sawmill-defaults.jl,v 1.14 2000/02/11 22:34:11 john Exp $

;; Copyright (C) 1999 John Harper <john@dcs.warwick.ac.uk>

;; This file is part of sawmill.

;; sawmill is free software; you can redistribute it and/or modify it
;; under the terms of the GNU General Public License as published by
;; the Free Software Foundation; either version 2, or (at your option)
;; any later version.

;; sawmill is distributed in the hope that it will be useful, but
;; WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.

;; You should have received a copy of the GNU General Public License
;; along with sawmill; see the file COPYING.  If not, write to
;; the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

;; Commentary:

;; This file provides defaults for users without .sawmillrc files

;; if it looks like GNOME is the desktop environment, then load the
;; extra GNOME integration module
(unless batch-mode
  (catch 'out
    (mapc (lambda (prop)
	    (when (string-match "^GNOME_" (symbol-name prop))
	      (require 'gnome-int)
	      (throw 'out t)))
	  (list-x-properties 'root))))
(setq default-font (get-font "-*-fixed-medium-r-*-*-14-*-*-*-*-*-*-*"))
(custom-set-variable (quote cycle-warp-pointer) (quote nil))
(custom-set-variable (quote cycle-disable-auto-raise) (quote t))
(custom-set-variable (quote cycle-show-window-names) (quote nil))
(custom-set-variable (quote focus-windows-on-uniconify) (quote t))
(custom-set-variable (quote unshade-selected-windows) (quote t))
(custom-set-variable (quote warp-to-selected-windows) (quote nil))
(custom-set-variable (quote transients-above) (quote all))
(custom-set-variable (quote workspace-send-boundary-mode) (quote stop))
(custom-set-variable (quote lock-first-workspace) (quote nil))
(custom-set-variable (quote viewport-rows) (quote 2))
(custom-set-variable (quote viewport-columns) (quote 2))
(custom-set-variable (quote preallocated-workspaces) (quote 1))
(custom-set-variable (quote resize-outline-mode) (quote box))
(custom-set-variable (quote move-resize-raise-window) (quote t))
(custom-set-variable (quote move-snap-edges) (quote t))
(custom-set-variable (quote move-show-position) (quote nil))
(custom-set-variable (quote resize-by-frame-class) (quote nil))
(custom-set-variable (quote ignore-window-input-hint) (quote nil))
(custom-set-variable (quote focus-mode) (quote click))
(custom-set-variable (quote focus-windows-when-mapped) (quote t))
(custom-set-variable (quote raise-windows-on-focus) t (quote auto-raise))
(custom-set-variable (quote raise-window-timeout) (quote 0))
(custom-set-variable (quote sp-padding) (quote 0))


