%define name zlib
%define version 1.1.3
Summary: library for compression and decompression
Name: %{name}
Version: %{version}
Release: 4
Group: System/Libraries
Source: http://www.cdrom.com/pub/infozip/zlib/zlib-1.1.3.tar.gz
#NoSource: 0
URL: http://www.cdrom.com/pub/infozip/zlib
Copyright: BSD
BuildRoot: /var/tmp/%{name}-%{version}-root

Summary(zh_CN.EUC): [ϵͳ]ѹͽѹ
Summary(zh_TW.Big5): [-At$)B]-AYM$)B-AYw$)B

%changelog
* Fri Dec 29 2000 Roger Luethi <rluethi@turbolinux.com>
- build with -fPIC

* Fri Oct 20 2000 Toshihiro Yamagishi<toshihiro@turbolinux.co.jp>
- added defattr

* Fri Mar 26 1999 Kelley Spoon <kspoon@turbolinux.com>
- Removed the "strip" line.... libz.so had NO symbols.  This is bad.

* Wed Feb 10 1999 Kelley Spoon <kspoon@pht.com>
- tossed out the libname patch for 1.0.4
- hard coded a line in %install to copy the static lib over to
  $RPM_BUILD_ROOT because "make install" can't fathom a case
  where the user wants both static and shared libs.

* Fri Aug  7 1998 Tadayoshi Ohkuma <tad@pht.co.jp>
- fixed permission of libz.so.
- modified %build, %install so that it can reflect BuildRoot: .
- added and striped libz.so at %install.

* Wed Aug  5 1998 Tadayoshi Ohkuma <tad@pht.co.jp>
- recompiled with glibc

* Tue Oct 07 1997 Donnie Barnes <djb@redhat.com>
- added URL tag (down at the moment so it may not be correct)
- made zlib-devel require zlib

* Thu Jun 19 1997 Erik Troan <ewt@redhat.com>
- built against glibc

%description
The 'zlib' compression library provides in-memory compression and
decompression functions, including integrity checks of the
uncompressed data.  This version of the library supports only one
compression method (deflation) but other algorithms may be added later
and will have the same stream interface.

This library is used by a number of different system programs.

%package devel
Summary: header files and libraries for zlib development
Group: Development/Libraries
Requires: zlib

Summary(zh_CN.EUC): []zlibĿ
Summary(zh_TW.Big5): [-A}o]zlib$)B-A}o]$)B

%description devel
The 'zlib' compression library provides in-memory compression and
decompression functions, including integrity checks of the
uncompressed data.  This version of the library supports only one
compression method (deflation) but other algorithms may be added later
and will have the same stream interface.

This package contains the header files and libraries needed to develop 
programs that use these zlib.

%prep
# NOTE:
# Whenever the library name needs to be changed, just change the 'LIBNAME='
# line below... Makefiles & configure have been patched to allow this changing
# Then change the %files section as well
%setup -q

%build
LIBNAME=z
export LIBNAME

./configure --prefix=/usr --shared
make CFLAGS="$RPM_OPT_FLAGS -fPIC -DHAVE_UNISTD_H -DUSE_MMAP" install_dir=/usr all
make libz.a
make libz.so.%{version}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/include
mkdir -p $RPM_BUILD_ROOT/usr/lib
make prefix=$RPM_BUILD_ROOT/usr install
install -m644 zutil.h $RPM_BUILD_ROOT/usr/include/zutil.h
cp libz.a $RPM_BUILD_ROOT/usr/lib/libz.a
chmod +x $RPM_BUILD_ROOT/usr/lib/libz.so.*

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
/usr/lib/libz.so.*

%files devel
%defattr(-,root,root)
%doc README ChangeLog
/usr/lib/libz.so
/usr/lib/libz.a
/usr/include/zconf.h
/usr/include/zlib.h
/usr/include/zutil.h
